2004-01-14 22:57  larsa

	* docs/announcement-2_2_0.txt:
	
	url for win32 download

2004-01-14 22:54  larsa

	* src/glue/gl.c:
	
	log missing because of disk crash

2004-01-14 22:41  larsa

	* configure.ac:
	
	version update

2004-01-14 22:36  larsa

	* Makefile.am, NEWS, RELNOTES:
	
	last pre-punting changes

2004-01-14 22:28  larsa

	* docs/coin.doxygen.in:
	
	missing classes

2004-01-14 22:27  larsa

	* docs/announcement-2_2_0.txt:
	
	draft

2004-01-14 22:22  larsa

	* docs/ChangeLog.v2.2.0:
	
	stub

2004-01-14 22:10  larsa

	* src/: actions/SoRayPickAction.cpp,
	elements/SoTextureUnitElement.cpp:
	
	since tags update

2004-01-14 22:00  larsa

	* NEWS:
	
	info update

2004-01-14 21:13  larsa

	* include/Inventor/SbClip.h, include/Inventor/fields/SoSubField.h,
	include/Inventor/misc/SbHash.h,
	include/Inventor/threads/SbThreadAutoLock.h,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoSearchAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/base/SbBox3f.cpp,
	src/base/SbDPMatrix.cpp, src/base/SbDPPlane.cpp,
	src/base/SbMatrix.cpp, src/base/SbName.cpp, src/base/SbPlane.cpp,
	src/base/SbSphere.cpp, src/base/SbString.cpp,
	src/base/SbTesselator.cpp, src/base/SbViewportRegion.cpp,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/details/SoConeDetail.cpp, src/details/SoCubeDetail.cpp,
	src/details/SoCylinderDetail.cpp, src/details/SoTextDetail.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragger.cpp, src/draggers/SoSpotLightDragger.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoBumpMapElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoDiffuseColorElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/GL/SoGLColorIndexElement.cpp,
	src/elements/GL/SoGLEnvironmentElement.cpp,
	src/elements/GL/SoGLLazyElement.cpp,
	src/elements/GL/SoGLLineWidthElement.cpp,
	src/elements/GL/SoGLModelMatrixElement.cpp,
	src/elements/GL/SoGLPolygonOffsetElement.cpp,
	src/elements/GL/SoGLShapeHintsElement.cpp,
	src/elements/GL/SoGLTexture3EnabledElement.cpp,
	src/elements/GL/SoGLTextureImageElement.cpp,
	src/elements/GL/SoGLViewingMatrixElement.cpp,
	src/elements/GL/SoGLViewportRegionElement.cpp,
	src/engines/SoConcatenate.cpp, src/engines/SoEngine.cpp,
	src/engines/SoGate.cpp, src/engines/SoNodeEngine.cpp,
	src/engines/SoSelectOne.cpp, src/events/SoKeyboardEvent.cpp,
	src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp, src/fields/SoMFColor.cpp,
	src/fields/SoMFEngine.cpp, src/fields/SoMFEnum.cpp,
	src/fields/SoMFName.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoMFRotation.cpp,
	src/fields/SoMFString.cpp, src/fields/SoMFVec2f.cpp,
	src/fields/SoMFVec3d.cpp, src/fields/SoMFVec3f.cpp,
	src/fields/SoMFVec4f.cpp, src/fields/SoMField.cpp,
	src/fields/SoSFBitMask.cpp, src/fields/SoSFEnum.cpp,
	src/hardcopy/VectorizeActionP.cpp,
	src/hardcopy/VectorizePSAction.cpp, src/io/SoInput_FileInfo.cpp,
	src/io/SoInput_Reader.cpp, src/io/SoOutput.cpp,
	src/io/SoOutput_Writer.cpp, src/manips/SoTransformManip.cpp,
	src/misc/SoChildList.cpp, src/misc/SoGLImage.cpp,
	src/misc/SoGlyph.cpp, src/misc/SoLightPath.cpp,
	src/misc/SoNormalGenerator.cpp, src/misc/SoNotRec.cpp,
	src/misc/SoOffscreenRenderer.cpp, src/misc/SoPickedPoint.cpp,
	src/misc/SoPrimitiveVertex.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoRotationXYZ.cpp,
	src/nodes/SoSceneTexture2.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoWWWAnchor.cpp, src/nodes/SoWWWInline.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbPlaneProjector.cpp, src/sensors/SoSensor.cpp,
	src/sensors/SoTimerSensor.cpp, src/shapenodes/SoAsciiText.cpp,
	src/shapenodes/soshape_bigtexture.cpp,
	src/shapenodes/soshape_bumprender.cpp,
	src/shapenodes/soshape_primdata.cpp, src/vrml97/AudioClip.cpp,
	src/vrml97/Background.cpp, src/vrml97/CylinderSensor.cpp,
	src/vrml97/Extrusion.cpp, src/vrml97/Fog.cpp,
	src/vrml97/Inline.cpp, src/vrml97/LOD.cpp,
	src/vrml97/PlaneSensor.cpp, src/vrml97/Sound.cpp,
	src/vrml97/SphereSensor.cpp, src/vrml97/Switch.cpp,
	src/vrml97/Text.cpp, src/vrml97/TextureTransform.cpp:
	
	remove all (Forte CC) warnings about member hiding

2004-01-14 12:39  larsa

	* include/Inventor/C/threads/storage.h,
	include/Inventor/C/threads/thread.h,
	include/Inventor/C/threads/worker.h,
	include/Inventor/C/threads/wpool.h, src/tidbits.c, src/base/hash.c,
	src/base/memalloc.c, src/engines/evaluator_tab.c,
	src/engines/evaluator_tab.diff, src/errors/error.c,
	src/fonts/freetype.c, src/glue/GLUWrapper.c,
	src/glue/simage_wrapper.c, src/threads/sched.c,
	src/threads/storage.c, src/threads/sync.c, src/threads/thread.c,
	src/threads/worker.c, src/threads/wpool.c:
	
	removal of certain Forte (and possibly other) C++ compiler warnings
	(when C++-compilers are used to compile C code)

2004-01-13 14:45  thammer

	* INSTALL:
	
	Add perl requirement for Windows platforms.

2004-01-13 14:30  larsa

	* INSTALL:
	
	misc updates

2004-01-13 14:06  larsa

	* COPYING:
	
	rewrite based on kyrah's comments

2004-01-13 13:22  larsa

	* data/draggerDefaults/iv2h.sh.in, examples/bindings/glutiv.cpp,
	examples/bindings/glxiv.cpp, examples/misc/glut_tex.cpp,
	include/SoWinEnterScope.h, include/SoWinLeaveScope.h,
	include/coindefs.h, include/Inventor/Sb.h,
	include/Inventor/SbBSPTree.h, include/Inventor/SbBasic.h.in,
	include/Inventor/SbBox.h, include/Inventor/SbBox2d.h,
	include/Inventor/SbBox2f.h, include/Inventor/SbBox2s.h,
	include/Inventor/SbBox3f.h, include/Inventor/SbBox3s.h,
	include/Inventor/SbClip.h, include/Inventor/SbColor.h,
	include/Inventor/SbColor4f.h, include/Inventor/SbCylinder.h,
	include/Inventor/SbDPLine.h, include/Inventor/SbDPLinear.h,
	include/Inventor/SbDPMatrix.h, include/Inventor/SbDPPlane.h,
	include/Inventor/SbDPRotation.h, include/Inventor/SbDPViewVolume.h,
	include/Inventor/SbDict.h, include/Inventor/SbHeap.h,
	include/Inventor/SbImage.h, include/Inventor/SbLine.h,
	include/Inventor/SbLinear.h, include/Inventor/SbMatrix.h,
	include/Inventor/SbName.h, include/Inventor/SbOctTree.h,
	include/Inventor/SbPList.h, include/Inventor/SbPlane.h,
	include/Inventor/SbRotation.h, include/Inventor/SbSphere.h,
	include/Inventor/SbString.h, include/Inventor/SbTesselator.h,
	include/Inventor/SbTime.h, include/Inventor/SbVec2d.h,
	include/Inventor/SbVec2f.h, include/Inventor/SbVec2s.h,
	include/Inventor/SbVec3d.h, include/Inventor/SbVec3f.h,
	include/Inventor/SbVec3s.h, include/Inventor/SbVec4d.h,
	include/Inventor/SbVec4f.h, include/Inventor/SbViewVolume.h,
	include/Inventor/SbViewportRegion.h, include/Inventor/SbXfBox3f.h,
	include/Inventor/So.h, include/Inventor/SoDB.h,
	include/Inventor/SoFullPath.h, include/Inventor/SoInput.h,
	include/Inventor/SoInteraction.h, include/Inventor/SoLists.h,
	include/Inventor/SoNodeKitPath.h,
	include/Inventor/SoOffscreenRenderer.h,
	include/Inventor/SoOutput.h, include/Inventor/SoPath.h,
	include/Inventor/SoPickedPoint.h,
	include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/SoSceneManager.h, include/Inventor/SoType.h,
	include/Inventor/C/basic.h.in, include/Inventor/C/tidbits.h,
	include/Inventor/C/tidbitsp.h, include/Inventor/C/base/dynarray.h,
	include/Inventor/C/base/hash.h, include/Inventor/C/base/hashp.h,
	include/Inventor/C/base/heap.h, include/Inventor/C/base/heapp.h,
	include/Inventor/C/base/list.h, include/Inventor/C/base/memalloc.h,
	include/Inventor/C/base/name.h, include/Inventor/C/base/namemap.h,
	include/Inventor/C/base/rbptree.h,
	include/Inventor/C/base/string.h, include/Inventor/C/base/time.h,
	include/Inventor/C/errors/debugerror.h,
	include/Inventor/C/errors/error.h,
	include/Inventor/C/glue/GLUWrapper.h,
	include/Inventor/C/glue/bzip2.h, include/Inventor/C/glue/dl.h,
	include/Inventor/C/glue/dlp.h,
	include/Inventor/C/glue/flwfreetype.h,
	include/Inventor/C/glue/flwwin32.h,
	include/Inventor/C/glue/fontlib_wrapper.h,
	include/Inventor/C/glue/freetype.h, include/Inventor/C/glue/gl.h,
	include/Inventor/C/glue/gl_agl.h, include/Inventor/C/glue/gl_glx.h,
	include/Inventor/C/glue/gl_wgl.h, include/Inventor/C/glue/glp.h,
	include/Inventor/C/glue/openal_wrapper.h,
	include/Inventor/C/glue/simage_wrapper.h,
	include/Inventor/C/glue/win32api.h, include/Inventor/C/glue/zlib.h,
	include/Inventor/C/threads/barrier.h,
	include/Inventor/C/threads/barrierp.h,
	include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/condvar.h,
	include/Inventor/C/threads/condvarp.h,
	include/Inventor/C/threads/fifo.h,
	include/Inventor/C/threads/fifop.h,
	include/Inventor/C/threads/mutex.h,
	include/Inventor/C/threads/mutexp.h,
	include/Inventor/C/threads/rwmutex.h,
	include/Inventor/C/threads/rwmutexp.h,
	include/Inventor/C/threads/sched.h,
	include/Inventor/C/threads/schedp.h,
	include/Inventor/C/threads/storage.h,
	include/Inventor/C/threads/storagep.h,
	include/Inventor/C/threads/sync.h,
	include/Inventor/C/threads/syncp.h,
	include/Inventor/C/threads/thread.h,
	include/Inventor/C/threads/threadp.h,
	include/Inventor/C/threads/threadsutilp.h,
	include/Inventor/C/threads/worker.h,
	include/Inventor/C/threads/workerp.h,
	include/Inventor/C/threads/wpool.h,
	include/Inventor/C/threads/wpoolp.h,
	include/Inventor/VRMLnodes/SoVRML.h,
	include/Inventor/VRMLnodes/SoVRMLAnchor.h,
	include/Inventor/VRMLnodes/SoVRMLAppearance.h,
	include/Inventor/VRMLnodes/SoVRMLAudioClip.h,
	include/Inventor/VRMLnodes/SoVRMLBackground.h,
	include/Inventor/VRMLnodes/SoVRMLBillboard.h,
	include/Inventor/VRMLnodes/SoVRMLBox.h,
	include/Inventor/VRMLnodes/SoVRMLCollision.h,
	include/Inventor/VRMLnodes/SoVRMLColor.h,
	include/Inventor/VRMLnodes/SoVRMLColorInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLCone.h,
	include/Inventor/VRMLnodes/SoVRMLCoordinate.h,
	include/Inventor/VRMLnodes/SoVRMLCoordinateInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLCylinder.h,
	include/Inventor/VRMLnodes/SoVRMLCylinderSensor.h,
	include/Inventor/VRMLnodes/SoVRMLDirectionalLight.h,
	include/Inventor/VRMLnodes/SoVRMLDragSensor.h,
	include/Inventor/VRMLnodes/SoVRMLElevationGrid.h,
	include/Inventor/VRMLnodes/SoVRMLExtrusion.h,
	include/Inventor/VRMLnodes/SoVRMLFog.h,
	include/Inventor/VRMLnodes/SoVRMLFontStyle.h,
	include/Inventor/VRMLnodes/SoVRMLGeometry.h,
	include/Inventor/VRMLnodes/SoVRMLGroup.h,
	include/Inventor/VRMLnodes/SoVRMLImageTexture.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedFaceSet.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedLine.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedShape.h,
	include/Inventor/VRMLnodes/SoVRMLInline.h,
	include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLLOD.h,
	include/Inventor/VRMLnodes/SoVRMLLight.h,
	include/Inventor/VRMLnodes/SoVRMLMacros.h,
	include/Inventor/VRMLnodes/SoVRMLMaterial.h,
	include/Inventor/VRMLnodes/SoVRMLMovieTexture.h,
	include/Inventor/VRMLnodes/SoVRMLNavigationInfo.h,
	include/Inventor/VRMLnodes/SoVRMLNodes.h,
	include/Inventor/VRMLnodes/SoVRMLNormal.h,
	include/Inventor/VRMLnodes/SoVRMLNormalInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLOrientationInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLParent.h,
	include/Inventor/VRMLnodes/SoVRMLPixelTexture.h,
	include/Inventor/VRMLnodes/SoVRMLPlaneSensor.h,
	include/Inventor/VRMLnodes/SoVRMLPointLight.h,
	include/Inventor/VRMLnodes/SoVRMLPointSet.h,
	include/Inventor/VRMLnodes/SoVRMLPositionInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLProximitySensor.h,
	include/Inventor/VRMLnodes/SoVRMLScalarInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLScript.h,
	include/Inventor/VRMLnodes/SoVRMLSensor.h,
	include/Inventor/VRMLnodes/SoVRMLShape.h,
	include/Inventor/VRMLnodes/SoVRMLSound.h,
	include/Inventor/VRMLnodes/SoVRMLSphere.h,
	include/Inventor/VRMLnodes/SoVRMLSphereSensor.h,
	include/Inventor/VRMLnodes/SoVRMLSpotLight.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolatorP.h,
	include/Inventor/VRMLnodes/SoVRMLSwitch.h,
	include/Inventor/VRMLnodes/SoVRMLText.h,
	include/Inventor/VRMLnodes/SoVRMLTexture.h,
	include/Inventor/VRMLnodes/SoVRMLTextureCoordinate.h,
	include/Inventor/VRMLnodes/SoVRMLTextureTransform.h,
	include/Inventor/VRMLnodes/SoVRMLTimeSensor.h,
	include/Inventor/VRMLnodes/SoVRMLTouchSensor.h,
	include/Inventor/VRMLnodes/SoVRMLTransform.h,
	include/Inventor/VRMLnodes/SoVRMLVertexLine.h,
	include/Inventor/VRMLnodes/SoVRMLVertexPoint.h,
	include/Inventor/VRMLnodes/SoVRMLVertexShape.h,
	include/Inventor/VRMLnodes/SoVRMLViewpoint.h,
	include/Inventor/VRMLnodes/SoVRMLVisibilitySensor.h,
	include/Inventor/VRMLnodes/SoVRMLWorldInfo.h,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoAudioRenderAction.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoSubActionP.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/annex/HardCopy/SoHardCopy.h,
	include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/bundles/SoNormalBundle.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoGLCacheList.h,
	include/Inventor/caches/SoGLRenderCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoPrimitiveVertexCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	include/Inventor/collision/SoIntersectionDetectionAction.h,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/details/SoDetail.h,
	include/Inventor/details/SoDetails.h,
	include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/details/SoNodeKitDetail.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/details/SoTextDetail.h,
	include/Inventor/draggers/SoCenterballDragger.h,
	include/Inventor/draggers/SoDirectionalLightDragger.h,
	include/Inventor/draggers/SoDragPointDragger.h,
	include/Inventor/draggers/SoDragger.h,
	include/Inventor/draggers/SoHandleBoxDragger.h,
	include/Inventor/draggers/SoJackDragger.h,
	include/Inventor/draggers/SoPointLightDragger.h,
	include/Inventor/draggers/SoRotateCylindricalDragger.h,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	include/Inventor/draggers/SoScale1Dragger.h,
	include/Inventor/draggers/SoScale2Dragger.h,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/draggers/SoSpotLightDragger.h,
	include/Inventor/draggers/SoTabBoxDragger.h,
	include/Inventor/draggers/SoTabPlaneDragger.h,
	include/Inventor/draggers/SoTrackballDragger.h,
	include/Inventor/draggers/SoTransformBoxDragger.h,
	include/Inventor/draggers/SoTransformerDragger.h,
	include/Inventor/draggers/SoTranslate1Dragger.h,
	include/Inventor/draggers/SoTranslate2Dragger.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoBumpMapCoordinateElement.h,
	include/Inventor/elements/SoBumpMapElement.h,
	include/Inventor/elements/SoBumpMapMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoCullElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLCacheContextElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLMultiTextureCoordinateElement.h,
	include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	include/Inventor/elements/SoGLMultiTextureImageElement.h,
	include/Inventor/elements/SoGLMultiTextureMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLTexture3EnabledElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoListenerDopplerElement.h,
	include/Inventor/elements/SoListenerGainElement.h,
	include/Inventor/elements/SoListenerOrientationElement.h,
	include/Inventor/elements/SoListenerPositionElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoMultiTextureCoordinateElement.h,
	include/Inventor/elements/SoMultiTextureEnabledElement.h,
	include/Inventor/elements/SoMultiTextureImageElement.h,
	include/Inventor/elements/SoMultiTextureMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSoundElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTexture3EnabledElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureEnabledElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureOverrideElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTextureScalePolicyElement.h,
	include/Inventor/elements/SoTextureScaleQualityElement.h,
	include/Inventor/elements/SoTextureUnitElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h,
	include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeRotationFromTo.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoComputeBoundingBox.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoEngines.h,
	include/Inventor/engines/SoFieldConverter.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoInterpolate.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/engines/SoInterpolateVec4f.h,
	include/Inventor/engines/SoNodeEngine.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoOutputData.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoSubEngineP.h,
	include/Inventor/engines/SoSubNodeEngine.h,
	include/Inventor/engines/SoSubNodeEngineP.h,
	include/Inventor/engines/SoTimeCounter.h,
	include/Inventor/engines/SoTransformVec3f.h,
	include/Inventor/engines/SoTriggerAny.h,
	include/Inventor/errors/SoDebugError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoErrors.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/errors/SoReadError.h,
	include/Inventor/events/SoButtonEvent.h,
	include/Inventor/events/SoEvent.h,
	include/Inventor/events/SoEvents.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/events/SoMouseButtonEvent.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/fields/SFNodeAndEngine.tpl,
	include/Inventor/fields/SoField.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/fields/SoFieldData.h,
	include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoGlobalField.h,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFLong.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFULong.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3d.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoMField.h,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFBox3s.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFImage3.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFLong.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFULong.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec2s.h,
	include/Inventor/fields/SoSFVec3d.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec3s.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/fields/SoSField.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/fields/SoSubFieldP.h,
	include/Inventor/lists/SbIntList.h,
	include/Inventor/lists/SbList.h, include/Inventor/lists/SbPList.h,
	include/Inventor/lists/SbStringList.h,
	include/Inventor/lists/SbVec3fList.h,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/lists/SoCallbackList.h,
	include/Inventor/lists/SoDetailList.h,
	include/Inventor/lists/SoEnabledElementsList.h,
	include/Inventor/lists/SoEngineList.h,
	include/Inventor/lists/SoEngineOutputList.h,
	include/Inventor/lists/SoFieldList.h,
	include/Inventor/lists/SoNodeList.h,
	include/Inventor/lists/SoPathList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/lists/SoTypeList.h,
	include/Inventor/lock/SoLockMgr.h,
	include/Inventor/manips/SoCenterballManip.h,
	include/Inventor/manips/SoClipPlaneManip.h,
	include/Inventor/manips/SoDirectionalLightManip.h,
	include/Inventor/manips/SoHandleBoxManip.h,
	include/Inventor/manips/SoJackManip.h,
	include/Inventor/manips/SoPointLightManip.h,
	include/Inventor/manips/SoSpotLightManip.h,
	include/Inventor/manips/SoTabBoxManip.h,
	include/Inventor/manips/SoTrackballManip.h,
	include/Inventor/manips/SoTransformBoxManip.h,
	include/Inventor/manips/SoTransformManip.h,
	include/Inventor/manips/SoTransformerManip.h,
	include/Inventor/misc/SbHash.h,
	include/Inventor/misc/SoAudioDevice.h,
	include/Inventor/misc/SoAuditorList.h,
	include/Inventor/misc/SoBase.h, include/Inventor/misc/SoBasic.h,
	include/Inventor/misc/SoByteStream.h,
	include/Inventor/misc/SoCallbackList.h,
	include/Inventor/misc/SoChildList.h,
	include/Inventor/misc/SoContextHandler.h,
	include/Inventor/misc/SoGL.h, include/Inventor/misc/SoGLBigImage.h,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/misc/SoGenerate.h,
	include/Inventor/misc/SoGlyph.h,
	include/Inventor/misc/SoLightPath.h,
	include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/misc/SoNotRec.h,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/misc/SoPick.h, include/Inventor/misc/SoProto.h,
	include/Inventor/misc/SoProtoInstance.h,
	include/Inventor/misc/SoState.h,
	include/Inventor/misc/SoTempPath.h,
	include/Inventor/misc/SoTranReceiver.h,
	include/Inventor/misc/SoTranSender.h,
	include/Inventor/misc/SoTranscribe.h,
	include/Inventor/nodekits/SoAppearanceKit.h,
	include/Inventor/nodekits/SoBaseKit.h,
	include/Inventor/nodekits/SoCameraKit.h,
	include/Inventor/nodekits/SoInteractionKit.h,
	include/Inventor/nodekits/SoLightKit.h,
	include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/nodekits/SoNodeKitListPart.h,
	include/Inventor/nodekits/SoNodekitCatalog.h,
	include/Inventor/nodekits/SoSceneKit.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	include/Inventor/nodekits/SoShapeKit.h,
	include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/nodekits/SoWrapperKit.h,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoBumpMap.h,
	include/Inventor/nodes/SoBumpMapCoordinate.h,
	include/Inventor/nodes/SoBumpMapTransform.h,
	include/Inventor/nodes/SoCallback.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoComplexity.h,
	include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/nodes/SoCoordinate4.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoDirectionalLight.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/nodes/SoGroup.h, include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLabel.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoLight.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/nodes/SoListener.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/nodes/SoMaterialBinding.h,
	include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoNode.h, include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoNonIndexedShape.h,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/nodes/SoNurbsCurve.h,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/nodes/SoNurbsSurface.h,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/nodes/SoPackedColor.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoPendulum.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoPolygonOffset.h,
	include/Inventor/nodes/SoProfile.h,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	include/Inventor/nodes/SoRotor.h, include/Inventor/nodes/SoScale.h,
	include/Inventor/nodes/SoSceneTexture2.h,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/nodes/SoSeparator.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSpotLight.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSubNodeP.h,
	include/Inventor/nodes/SoSurroundScale.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	include/Inventor/nodes/SoTexture3.h,
	include/Inventor/nodes/SoTexture3Transform.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinate3.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/nodes/SoTextureScalePolicy.h,
	include/Inventor/nodes/SoTextureUnit.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/nodes/SoTransformSeparator.h,
	include/Inventor/nodes/SoTransformation.h,
	include/Inventor/nodes/SoTranslation.h,
	include/Inventor/nodes/SoTransparencyType.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoUnknownNode.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoWWWAnchor.h,
	include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/projectors/SbCylinderProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	include/Inventor/projectors/SbCylinderSheetProjector.h,
	include/Inventor/projectors/SbLineProjector.h,
	include/Inventor/projectors/SbPlaneProjector.h,
	include/Inventor/projectors/SbProjector.h,
	include/Inventor/projectors/SbProjectors.h,
	include/Inventor/projectors/SbSpherePlaneProjector.h,
	include/Inventor/projectors/SbSphereProjector.h,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	include/Inventor/sensors/SoAlarmSensor.h,
	include/Inventor/sensors/SoDataSensor.h,
	include/Inventor/sensors/SoDelayQueueSensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	include/Inventor/sensors/SoIdleSensor.h,
	include/Inventor/sensors/SoNodeSensor.h,
	include/Inventor/sensors/SoOneShotSensor.h,
	include/Inventor/sensors/SoPathSensor.h,
	include/Inventor/sensors/SoSensor.h,
	include/Inventor/sensors/SoSensorManager.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/sensors/SoTimerSensor.h,
	include/Inventor/system/gl.h.in,
	include/Inventor/system/inttypes.h.in,
	include/Inventor/threads/SbBarrier.h,
	include/Inventor/threads/SbCondVar.h,
	include/Inventor/threads/SbFifo.h,
	include/Inventor/threads/SbMutex.h,
	include/Inventor/threads/SbRWMutex.h,
	include/Inventor/threads/SbStorage.h,
	include/Inventor/threads/SbThread.h,
	include/Inventor/threads/SbThreadAutoLock.h,
	include/Inventor/threads/SbTypedStorage.h, src/tidbits.c,
	src/3ds/3dsLoader.cpp, src/3ds/3dsLoader.h, src/3ds/SoStream.cpp,
	src/3ds/SoStream.h, src/actions/SoAction.cpp,
	src/actions/SoAudioRenderAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/actions/all-actions-cpp.cpp, src/base/SbBSPTree.cpp,
	src/base/SbBox2d.cpp, src/base/SbBox2f.cpp, src/base/SbBox2s.cpp,
	src/base/SbBox3f.cpp, src/base/SbBox3s.cpp, src/base/SbClip.cpp,
	src/base/SbColor.cpp, src/base/SbColor4f.cpp,
	src/base/SbCylinder.cpp, src/base/SbDPLine.cpp,
	src/base/SbDPMatrix.cpp, src/base/SbDPPlane.cpp,
	src/base/SbDPRotation.cpp, src/base/SbDPViewVolume.cpp,
	src/base/SbDict.cpp, src/base/SbHeap.cpp, src/base/SbImage.cpp,
	src/base/SbLine.cpp, src/base/SbMatrix.cpp, src/base/SbName.cpp,
	src/base/SbOctTree.cpp, src/base/SbPlane.cpp,
	src/base/SbRotation.cpp, src/base/SbSphere.cpp,
	src/base/SbString.cpp, src/base/SbTesselator.cpp,
	src/base/SbTime.cpp, src/base/SbVec2d.cpp, src/base/SbVec2f.cpp,
	src/base/SbVec2s.cpp, src/base/SbVec3d.cpp, src/base/SbVec3f.cpp,
	src/base/SbVec3s.cpp, src/base/SbVec4d.cpp, src/base/SbVec4f.cpp,
	src/base/SbViewVolume.cpp, src/base/SbViewportRegion.cpp,
	src/base/SbXfBox3f.cpp, src/base/all-base-c.c,
	src/base/all-base-cpp.cpp, src/base/dynarray.cpp, src/base/hash.c,
	src/base/heap.c, src/base/list.c, src/base/memalloc.c,
	src/base/name.c, src/base/namemap.c, src/base/rbptree.c,
	src/base/string.c, src/base/time.c, src/bundles/SoBundle.cpp,
	src/bundles/SoMaterialBundle.cpp, src/bundles/SoNormalBundle.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp,
	src/bundles/all-bundles-cpp.cpp, src/caches/SoBoundingBoxCache.cpp,
	src/caches/SoCache.cpp, src/caches/SoConvexDataCache.cpp,
	src/caches/SoGLCacheList.cpp, src/caches/SoGLRenderCache.cpp,
	src/caches/SoNormalCache.cpp,
	src/caches/SoPrimitiveVertexCache.cpp,
	src/caches/SoTextureCoordinateCache.cpp,
	src/caches/all-caches-cpp.cpp, src/collision/SbTri3f.cpp,
	src/collision/SbTri3f.h,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/collision/all-collision-cpp.cpp, src/details/SoConeDetail.cpp,
	src/details/SoCubeDetail.cpp, src/details/SoCylinderDetail.cpp,
	src/details/SoDetail.cpp, src/details/SoFaceDetail.cpp,
	src/details/SoLineDetail.cpp, src/details/SoNodeKitDetail.cpp,
	src/details/SoPointDetail.cpp, src/details/SoTextDetail.cpp,
	src/details/all-details-cpp.cpp,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp, src/draggers/SoDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp,
	src/draggers/all-draggers-cpp.cpp,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoBumpMapCoordinateElement.cpp,
	src/elements/SoBumpMapElement.cpp,
	src/elements/SoBumpMapMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoCullElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoInt32Element.cpp, src/elements/SoLazyElement.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoListenerDopplerElement.cpp,
	src/elements/SoListenerGainElement.cpp,
	src/elements/SoListenerOrientationElement.cpp,
	src/elements/SoListenerPositionElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoMultiTextureCoordinateElement.cpp,
	src/elements/SoMultiTextureEnabledElement.cpp,
	src/elements/SoMultiTextureImageElement.cpp,
	src/elements/SoMultiTextureMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSoundElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTexture3EnabledElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTextureEnabledElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureOverrideElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTextureScalePolicyElement.cpp,
	src/elements/SoTextureScaleQualityElement.cpp,
	src/elements/SoTextureUnitElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp,
	src/elements/all-elements-cpp.cpp,
	src/elements/GL/SoGLCacheContextElement.cpp,
	src/elements/GL/SoGLClipPlaneElement.cpp,
	src/elements/GL/SoGLColorIndexElement.cpp,
	src/elements/GL/SoGLCoordinateElement.cpp,
	src/elements/GL/SoGLDisplayList.cpp,
	src/elements/GL/SoGLDrawStyleElement.cpp,
	src/elements/GL/SoGLEmissiveColorElement.cpp,
	src/elements/GL/SoGLEnvironmentElement.cpp,
	src/elements/GL/SoGLLazyElement.cpp,
	src/elements/GL/SoGLLightIdElement.cpp,
	src/elements/GL/SoGLLinePatternElement.cpp,
	src/elements/GL/SoGLLineWidthElement.cpp,
	src/elements/GL/SoGLModelMatrixElement.cpp,
	src/elements/GL/SoGLMultiTextureCoordinateElement.cpp,
	src/elements/GL/SoGLMultiTextureEnabledElement.cpp,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	src/elements/GL/SoGLNormalElement.cpp,
	src/elements/GL/SoGLPointSizeElement.cpp,
	src/elements/GL/SoGLPolygonOffsetElement.cpp,
	src/elements/GL/SoGLProjectionMatrixElement.cpp,
	src/elements/GL/SoGLRenderPassElement.cpp,
	src/elements/GL/SoGLShapeHintsElement.cpp,
	src/elements/GL/SoGLTexture3EnabledElement.cpp,
	src/elements/GL/SoGLTextureCoordinateElement.cpp,
	src/elements/GL/SoGLTextureEnabledElement.cpp,
	src/elements/GL/SoGLTextureImageElement.cpp,
	src/elements/GL/SoGLTextureMatrixElement.cpp,
	src/elements/GL/SoGLUpdateAreaElement.cpp,
	src/elements/GL/SoGLViewingMatrixElement.cpp,
	src/elements/GL/SoGLViewportRegionElement.cpp,
	src/elements/GL/all-glelements-cpp.cpp,
	src/engines/SoBoolOperation.cpp, src/engines/SoCalculator.cpp,
	src/engines/SoComposeMatrix.cpp, src/engines/SoComposeRotation.cpp,
	src/engines/SoComposeRotationFromTo.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	src/engines/SoComposeVec4f.cpp,
	src/engines/SoComputeBoundingBox.cpp,
	src/engines/SoConcatenate.cpp, src/engines/SoConvertAll.cpp,
	src/engines/SoCounter.cpp, src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp, src/engines/SoElapsedTime.cpp,
	src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp,
	src/engines/SoFieldConverter.cpp, src/engines/SoGate.cpp,
	src/engines/SoInterpolate.cpp, src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp, src/engines/SoNodeEngine.cpp,
	src/engines/SoOnOff.cpp, src/engines/SoOneShot.cpp,
	src/engines/SoOutputData.cpp, src/engines/SoSelectOne.cpp,
	src/engines/SoTimeCounter.cpp, src/engines/SoTransformVec3f.cpp,
	src/engines/SoTriggerAny.cpp, src/engines/all-engines-c.c,
	src/engines/all-engines-cpp.cpp, src/engines/evaluator.c,
	src/engines/evaluator.h, src/engines/evaluator.l,
	src/engines/evaluator.y, src/engines/so_eval.ic,
	src/errors/SoDebugError.cpp, src/errors/SoError.cpp,
	src/errors/SoMemoryError.cpp, src/errors/SoReadError.cpp,
	src/errors/all-errors-c.c, src/errors/all-errors-cpp.cpp,
	src/errors/debugerror.c, src/errors/error.c,
	src/events/SoButtonEvent.cpp, src/events/SoEvent.cpp,
	src/events/SoKeyboardEvent.cpp, src/events/SoLocation2Event.cpp,
	src/events/SoMotion3Event.cpp, src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp,
	src/events/all-events-cpp.cpp, src/fields/SoField.cpp,
	src/fields/SoFieldContainer.cpp, src/fields/SoFieldData.cpp,
	src/fields/SoGlobalField.cpp, src/fields/SoMFBitMask.cpp,
	src/fields/SoMFBool.cpp, src/fields/SoMFColor.cpp,
	src/fields/SoMFEngine.cpp, src/fields/SoMFEnum.cpp,
	src/fields/SoMFFloat.cpp, src/fields/SoMFInt32.cpp,
	src/fields/SoMFMatrix.cpp, src/fields/SoMFName.cpp,
	src/fields/SoMFNode.cpp, src/fields/SoMFPath.cpp,
	src/fields/SoMFPlane.cpp, src/fields/SoMFRotation.cpp,
	src/fields/SoMFShort.cpp, src/fields/SoMFString.cpp,
	src/fields/SoMFTime.cpp, src/fields/SoMFUInt32.cpp,
	src/fields/SoMFUShort.cpp, src/fields/SoMFVec2f.cpp,
	src/fields/SoMFVec3d.cpp, src/fields/SoMFVec3f.cpp,
	src/fields/SoMFVec4f.cpp, src/fields/SoMField.cpp,
	src/fields/SoSFBitMask.cpp, src/fields/SoSFBool.cpp,
	src/fields/SoSFBox3s.cpp, src/fields/SoSFColor.cpp,
	src/fields/SoSFEngine.cpp, src/fields/SoSFEnum.cpp,
	src/fields/SoSFFloat.cpp, src/fields/SoSFImage.cpp,
	src/fields/SoSFImage3.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoSFName.cpp,
	src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp,
	src/fields/SoSFPlane.cpp, src/fields/SoSFRotation.cpp,
	src/fields/SoSFShort.cpp, src/fields/SoSFString.cpp,
	src/fields/SoSFTime.cpp, src/fields/SoSFTrigger.cpp,
	src/fields/SoSFUInt32.cpp, src/fields/SoSFUShort.cpp,
	src/fields/SoSFVec2f.cpp, src/fields/SoSFVec2s.cpp,
	src/fields/SoSFVec3d.cpp, src/fields/SoSFVec3f.cpp,
	src/fields/SoSFVec3s.cpp, src/fields/SoSFVec4f.cpp,
	src/fields/SoSField.cpp, src/fields/all-fields-cpp.cpp,
	src/fonts/all-fonts-c.c, src/fonts/default2dfont.c,
	src/fonts/default3dfont.c, src/fonts/defaultfonts.h,
	src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/fonts/fontspec.c, src/fonts/fontspec.h, src/fonts/freetype.c,
	src/fonts/freetype.h, src/fonts/glyph2d.c, src/fonts/glyph2d.h,
	src/fonts/glyph3d.c, src/fonts/glyph3d.h, src/fonts/win32.c,
	src/fonts/win32.h, src/glue/GLUWrapper.c, src/glue/all-glue-c.c,
	src/glue/bzip2.c, src/glue/dl.c, src/glue/flwfreetype.c,
	src/glue/flwwin32.c, src/glue/fontlib_wrapper.c,
	src/glue/freetype.c, src/glue/gl_agl.c, src/glue/gl_glx.c,
	src/glue/gl_wgl.c, src/glue/normalization_cubemap.c,
	src/glue/openal_wrapper.c, src/glue/simage_wrapper.c,
	src/glue/win32api.c, src/glue/zlib.c, src/hardcopy/HardCopy.cpp,
	src/hardcopy/PSVectorOutput.cpp, src/hardcopy/VectorOutput.cpp,
	src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/VectorizeActionP.cpp, src/hardcopy/VectorizeActionP.h,
	src/hardcopy/VectorizeItems.h, src/hardcopy/VectorizePSAction.cpp,
	src/hardcopy/all-hardcopy-cpp.cpp, src/io/SoByteStream.cpp,
	src/io/SoInput.cpp, src/io/SoInput_FileInfo.cpp,
	src/io/SoInput_FileInfo.h, src/io/SoInput_Reader.cpp,
	src/io/SoInput_Reader.h, src/io/SoOutput.cpp,
	src/io/SoOutput_Writer.cpp, src/io/SoOutput_Writer.h,
	src/io/SoTranReceiver.cpp, src/io/SoTranSender.cpp,
	src/io/all-io-c.c, src/io/all-io-cpp.cpp, src/io/gzmemio.h,
	src/lists/SbIntList.cpp, src/lists/SbList.cpp,
	src/lists/SbPList.cpp, src/lists/SbStringList.cpp,
	src/lists/SbVec3fList.cpp, src/lists/SoActionMethodList.cpp,
	src/lists/SoAuditorList.cpp, src/lists/SoBaseList.cpp,
	src/lists/SoCallbackList.cpp, src/lists/SoDetailList.cpp,
	src/lists/SoEnabledElementsList.cpp, src/lists/SoEngineList.cpp,
	src/lists/SoEngineOutputList.cpp, src/lists/SoFieldList.cpp,
	src/lists/SoNodeList.cpp, src/lists/SoPathList.cpp,
	src/lists/SoPickedPointList.cpp, src/lists/SoTypeList.cpp,
	src/lists/all-lists-cpp.cpp, src/manips/SoCenterballManip.cpp,
	src/manips/SoClipPlaneManip.cpp,
	src/manips/SoDirectionalLightManip.cpp,
	src/manips/SoHandleBoxManip.cpp, src/manips/SoJackManip.cpp,
	src/manips/SoPointLightManip.cpp, src/manips/SoSpotLightManip.cpp,
	src/manips/SoTabBoxManip.cpp, src/manips/SoTrackballManip.cpp,
	src/manips/SoTransformBoxManip.cpp,
	src/manips/SoTransformManip.cpp, src/manips/SoTransformerManip.cpp,
	src/manips/all-manips-cpp.cpp, src/manips/commoncode.cpp,
	src/misc/AudioTools.cpp, src/misc/AudioTools.h,
	src/misc/SoAudioDevice.cpp, src/misc/SoBase.cpp,
	src/misc/SoChildList.cpp, src/misc/SoContextHandler.cpp,
	src/misc/SoDB.cpp, src/misc/SoFullPath.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLBigImage.cpp, src/misc/SoGLFaceSetTemplate.icc,
	src/misc/SoGLImage.cpp, src/misc/SoGLLineSetTemplate.icc,
	src/misc/SoGLTristripTemplate.icc,
	src/misc/SoGLindexedLineSetTemplate.icc,
	src/misc/SoGLnonindexedFaceSetTemplate.icc,
	src/misc/SoGLnonindexedTristripSetTemplate.icc,
	src/misc/SoGLqmeshTemplate.icc,
	src/misc/SoGLqmeshpreciselightingTemplate.icc,
	src/misc/SoGenerate.cpp, src/misc/SoGlyph.cpp,
	src/misc/SoInteraction.cpp, src/misc/SoLightPath.cpp,
	src/misc/SoLockManager.cpp, src/misc/SoNormalGenerator.cpp,
	src/misc/SoNotRec.cpp, src/misc/SoNotification.cpp,
	src/misc/SoOffscreenAGLData.cpp, src/misc/SoOffscreenAGLData.h,
	src/misc/SoOffscreenAGLData.icc, src/misc/SoOffscreenGLXData.cpp,
	src/misc/SoOffscreenGLXData.h, src/misc/SoOffscreenGLXData.icc,
	src/misc/SoOffscreenInternalData.h,
	src/misc/SoOffscreenRenderer.cpp, src/misc/SoOffscreenWGLData.cpp,
	src/misc/SoOffscreenWGLData.h, src/misc/SoOffscreenWGLData.icc,
	src/misc/SoPath.cpp, src/misc/SoPick.cpp,
	src/misc/SoPickedPoint.cpp, src/misc/SoPrimitiveVertex.cpp,
	src/misc/SoProto.cpp, src/misc/SoProtoInstance.cpp,
	src/misc/SoSceneManager.cpp, src/misc/SoState.cpp,
	src/misc/SoTempPath.cpp, src/misc/SoType.cpp,
	src/misc/all-misc-cpp.cpp, src/misc/cppmangle.icc,
	src/nodekits/SoAppearanceKit.cpp, src/nodekits/SoBaseKit.cpp,
	src/nodekits/SoCameraKit.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoLightKit.cpp, src/nodekits/SoNodeKit.cpp,
	src/nodekits/SoNodeKitListPart.cpp, src/nodekits/SoNodeKitPath.cpp,
	src/nodekits/SoNodekitCatalog.cpp, src/nodekits/SoSceneKit.cpp,
	src/nodekits/SoSeparatorKit.cpp, src/nodekits/SoShapeKit.cpp,
	src/nodekits/SoWrapperKit.cpp, src/nodekits/all-nodekits-cpp.cpp,
	src/nodes/SoAnnotation.cpp, src/nodes/SoAntiSquish.cpp,
	src/nodes/SoArray.cpp, src/nodes/SoBaseColor.cpp,
	src/nodes/SoBlinker.cpp, src/nodes/SoBumpMap.cpp,
	src/nodes/SoBumpMapCoordinate.cpp,
	src/nodes/SoBumpMapTransform.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoClipPlane.cpp,
	src/nodes/SoColorIndex.cpp, src/nodes/SoComplexity.cpp,
	src/nodes/SoCoordinate3.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoDirectionalLight.cpp, src/nodes/SoDrawStyle.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoFont.cpp, src/nodes/SoFontStyle.cpp,
	src/nodes/SoGroup.cpp, src/nodes/SoInfo.cpp, src/nodes/SoLOD.cpp,
	src/nodes/SoLabel.cpp, src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoLight.cpp, src/nodes/SoLightModel.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoListener.cpp,
	src/nodes/SoLocateHighlight.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNormal.cpp, src/nodes/SoNormalBinding.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoOrthographicCamera.cpp,
	src/nodes/SoPackedColor.cpp, src/nodes/SoPathSwitch.cpp,
	src/nodes/SoPendulum.cpp, src/nodes/SoPerspectiveCamera.cpp,
	src/nodes/SoPickStyle.cpp, src/nodes/SoPointLight.cpp,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoProfile.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoResetTransform.cpp,
	src/nodes/SoRotation.cpp, src/nodes/SoRotationXYZ.cpp,
	src/nodes/SoRotor.cpp, src/nodes/SoScale.cpp,
	src/nodes/SoSceneTexture2.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShapeHints.cpp,
	src/nodes/SoShuttle.cpp, src/nodes/SoSoundElementHelper.h,
	src/nodes/SoSpotLight.cpp, src/nodes/SoSurroundScale.cpp,
	src/nodes/SoSwitch.cpp, src/nodes/SoTexture2.cpp,
	src/nodes/SoTexture2Transform.cpp, src/nodes/SoTexture3.cpp,
	src/nodes/SoTexture3Transform.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinate3.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp,
	src/nodes/SoTextureScalePolicy.cpp, src/nodes/SoTextureUnit.cpp,
	src/nodes/SoTransform.cpp, src/nodes/SoTransformSeparator.cpp,
	src/nodes/SoTransformation.cpp, src/nodes/SoTranslation.cpp,
	src/nodes/SoTransparencyType.cpp, src/nodes/SoUnits.cpp,
	src/nodes/SoUnknownNode.cpp, src/nodes/SoVertexProperty.cpp,
	src/nodes/SoWWWAnchor.cpp, src/nodes/SoWWWInline.cpp,
	src/nodes/all-nodes-cpp.cpp,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbPlaneProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSpherePlaneProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp,
	src/projectors/all-projectors-cpp.cpp,
	src/sensors/SoAlarmSensor.cpp, src/sensors/SoDataSensor.cpp,
	src/sensors/SoDelayQueueSensor.cpp, src/sensors/SoFieldSensor.cpp,
	src/sensors/SoIdleSensor.cpp, src/sensors/SoNodeSensor.cpp,
	src/sensors/SoOneShotSensor.cpp, src/sensors/SoPathSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/sensors/SoTimerQueueSensor.cpp, src/sensors/SoTimerSensor.cpp,
	src/sensors/all-sensors-cpp.cpp, src/shapenodes/SoAsciiText.cpp,
	src/shapenodes/SoCone.cpp, src/shapenodes/SoCube.cpp,
	src/shapenodes/SoCylinder.cpp, src/shapenodes/SoFaceSet.cpp,
	src/shapenodes/SoImage.cpp, src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoIndexedLineSet.cpp,
	src/shapenodes/SoIndexedNurbsCurve.cpp,
	src/shapenodes/SoIndexedNurbsSurface.cpp,
	src/shapenodes/SoIndexedShape.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	src/shapenodes/SoLineSet.cpp, src/shapenodes/SoMarkerSet.cpp,
	src/shapenodes/SoNonIndexedShape.cpp,
	src/shapenodes/SoNurbsCurve.cpp, src/shapenodes/SoNurbsSurface.cpp,
	src/shapenodes/SoPointSet.cpp, src/shapenodes/SoQuadMesh.cpp,
	src/shapenodes/SoShape.cpp, src/shapenodes/SoSphere.cpp,
	src/shapenodes/SoText2.cpp, src/shapenodes/SoText3.cpp,
	src/shapenodes/SoTriangleStripSet.cpp,
	src/shapenodes/SoVertexShape.cpp,
	src/shapenodes/all-shapenodes-cpp.cpp,
	src/shapenodes/soshape_bigtexture.cpp,
	src/shapenodes/soshape_bigtexture.h,
	src/shapenodes/soshape_bumprender.cpp,
	src/shapenodes/soshape_bumprender.h,
	src/shapenodes/soshape_primdata.cpp,
	src/shapenodes/soshape_primdata.h,
	src/shapenodes/soshape_trianglesort.cpp,
	src/shapenodes/soshape_trianglesort.h, src/threads/all-threads-c.c,
	src/threads/barrier.c, src/threads/common.c, src/threads/condvar.c,
	src/threads/condvar_pthread.ic, src/threads/condvar_win32.ic,
	src/threads/fifo.c, src/threads/mutex.c,
	src/threads/mutex_pthread.ic, src/threads/mutex_win32cs.ic,
	src/threads/mutex_win32mutex.ic, src/threads/rwmutex.c,
	src/threads/sched.c, src/threads/storage.c, src/threads/sync.c,
	src/threads/thread.c, src/threads/thread_pthread.ic,
	src/threads/thread_win32.ic, src/threads/worker.c,
	src/threads/wpool.c, src/threads/wrappers.cpp,
	src/upgraders/SoPackedColorV20.cpp,
	src/upgraders/SoPackedColorV20.h, src/upgraders/SoUpgrader.cpp,
	src/upgraders/SoUpgrader.h, src/upgraders/all-upgraders-cpp.cpp,
	src/vrml97/Anchor.cpp, src/vrml97/Appearance.cpp,
	src/vrml97/AudioClip.cpp, src/vrml97/Background.cpp,
	src/vrml97/Billboard.cpp, src/vrml97/Box.cpp,
	src/vrml97/Collision.cpp, src/vrml97/Color.cpp,
	src/vrml97/ColorInterpolator.cpp, src/vrml97/Cone.cpp,
	src/vrml97/Coordinate.cpp, src/vrml97/CoordinateInterpolator.cpp,
	src/vrml97/Cylinder.cpp, src/vrml97/CylinderSensor.cpp,
	src/vrml97/DirectionalLight.cpp, src/vrml97/DragSensor.cpp,
	src/vrml97/ElevationGrid.cpp, src/vrml97/Extrusion.cpp,
	src/vrml97/Fog.cpp, src/vrml97/FontStyle.cpp,
	src/vrml97/Geometry.cpp, src/vrml97/Group.cpp,
	src/vrml97/ImageTexture.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/IndexedLine.cpp, src/vrml97/IndexedLineSet.cpp,
	src/vrml97/IndexedShape.cpp, src/vrml97/Init.cpp,
	src/vrml97/Inline.cpp, src/vrml97/Interpolator.cpp,
	src/vrml97/LOD.cpp, src/vrml97/Light.cpp, src/vrml97/Material.cpp,
	src/vrml97/MovieTexture.cpp, src/vrml97/NavigationInfo.cpp,
	src/vrml97/Normal.cpp, src/vrml97/NormalInterpolator.cpp,
	src/vrml97/OrientationInterpolator.cpp, src/vrml97/Parent.cpp,
	src/vrml97/PixelTexture.cpp, src/vrml97/PlaneSensor.cpp,
	src/vrml97/PointLight.cpp, src/vrml97/PointSet.cpp,
	src/vrml97/PositionInterpolator.cpp,
	src/vrml97/ProximitySensor.cpp, src/vrml97/ScalarInterpolator.cpp,
	src/vrml97/Script.cpp, src/vrml97/Sensor.cpp, src/vrml97/Shape.cpp,
	src/vrml97/Sound.cpp, src/vrml97/Sphere.cpp,
	src/vrml97/SphereSensor.cpp, src/vrml97/SpotLight.cpp,
	src/vrml97/Switch.cpp, src/vrml97/Text.cpp, src/vrml97/Texture.cpp,
	src/vrml97/TextureCoordinate.cpp, src/vrml97/TextureTransform.cpp,
	src/vrml97/TimeSensor.cpp, src/vrml97/TouchSensor.cpp,
	src/vrml97/Transform.cpp, src/vrml97/VertexLine.cpp,
	src/vrml97/VertexPoint.cpp, src/vrml97/VertexShape.cpp,
	src/vrml97/Viewpoint.cpp, src/vrml97/VisibilitySensor.cpp,
	src/vrml97/WorldInfo.cpp, src/vrml97/all-vrml97-cpp.cpp,
	templates/Copyright.tpl:
	
	copyright header update

2004-01-13 12:58  pederb

	* src/vrml97/Background.cpp:
	
	Rotate Background so that it matches the current camera. Bug
	reported by Marc Eilhard.

2004-01-13 12:39  larsa

	* COPYING:
	
	new text

2004-01-12 14:45  larsa

	* FAQ:
	
	coin-cvs test and minor update

2004-01-12 13:13  pederb

	* src/nodes/SoBumpMap.cpp:
	
	Automatically convert grayscale images to normal maps.

2004-01-12 11:17  pederb

	* src/misc/SoProto.cpp:
	
	Fix recently introduced PROTO export bug.

2004-01-10 14:20  pederb

	* src/base/hash.c:
	
	Avoid continuous memory allocation/deallocation (in
	SoSensorManager::processDelayQueue()).

2004-01-09 17:09  pederb

	* include/Inventor/nodes/SoBumpMap.h, src/nodes/SoBumpMap.cpp:
	
	Support for wrap modes for bump maps.

2004-01-09 17:05  pederb

	* include/Inventor/elements/Makefile.am,
	include/Inventor/elements/SoBumpMapMatrixElement.h,
	include/Inventor/nodes/Makefile.am,
	include/Inventor/nodes/SoBumpMapTransform.h,
	src/elements/Makefile.am, src/elements/SoBumpMapMatrixElement.cpp,
	src/elements/SoElement.cpp, src/nodes/Makefile.am,
	src/nodes/SoBumpMapTransform.cpp, src/nodes/SoNode.cpp,
	src/shapenodes/soshape_bumprender.cpp:
	
	Support for bump map transforms.

2004-01-09 16:41  pederb

	* src/vrml97/Extrusion.cpp:
	
	Texture mapping bugfix.

2004-01-09 12:40  pederb

	* patches/opengl-vertex-array-fix.diff,
	patches/opengl-vertex-array.diff,
	patches/sbmatrix-optimized-inverse.diff,
	patches/sbstring-extra.diff, patches/soaction-apply.diff,
	patches/soinput-stringarray.diff, src/bundles/all.cpp,
	src/caches/all.cpp, src/details/all.cpp, src/elements/all.cpp,
	src/elements/GL/all-cpp.cpp, src/errors/all-c.c,
	src/errors/all-cpp.cpp, src/misc/2d-font.xpm, src/misc/all-c.c,
	src/misc/all-cpp.cpp, src/misc/all-misc-c.c,
	src/misc/default2dfont.cpp, src/misc/default3dfont.cpp,
	src/misc/defaultfonts.h:
	
	More disk crash cleanup. Remove files that are no longer in the
	repository.

2004-01-09 12:19  mortene

	* docs/: misc-resources.txt, todo.txt:
	
	Some sync'ing after disk-crash for CVS-server.

2004-01-09 11:41  pederb

	* docs/oiv_compatibility.txt:
	
	More crash fixes.

2004-01-09 11:17  pederb

	* src/misc/: SoByteStream.cpp, SoInput.cpp, SoInput_FileInfo.cpp,
	SoInput_FileInfo.h, SoInput_Reader.cpp, SoInput_Reader.h,
	SoOutput.cpp, SoOutput_Writer.cpp, SoOutput_Writer.h,
	SoTranReceiver.cpp, SoTranSender.cpp, gzmemio.c, gzmemio.h:
	
	Disk crash fix.

2004-01-09 11:13  pederb

	* configure.ac, docs/coin.doxygen.in, src/caches/Makefile.am,
	src/caches/SoBoundingBoxCache.cpp,
	src/caches/SoPrimitiveVertexCache.cpp,
	src/caches/all-caches-cpp.cpp, src/elements/Makefile.am,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoBumpMapCoordinateElement.cpp,
	src/elements/SoBumpMapElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoFloatElement.cpp, src/elements/SoInt32Element.cpp,
	src/elements/SoMultiTextureCoordinateElement.cpp,
	src/elements/SoMultiTextureEnabledElement.cpp,
	src/elements/SoMultiTextureImageElement.cpp,
	src/elements/SoMultiTextureMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoTextureOverrideElement.cpp,
	src/elements/SoTextureUnitElement.cpp,
	src/elements/all-elements-cpp.cpp, src/elements/GL/Makefile.am,
	src/elements/GL/SoGLDisplayList.cpp,
	src/elements/GL/SoGLLazyElement.cpp,
	src/elements/GL/SoGLLightIdElement.cpp,
	src/elements/GL/SoGLMultiTextureCoordinateElement.cpp,
	src/elements/GL/SoGLMultiTextureEnabledElement.cpp,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	src/elements/GL/SoGLTextureCoordinateElement.cpp,
	src/elements/GL/SoGLTextureEnabledElement.cpp,
	src/elements/GL/SoGLTextureImageElement.cpp,
	src/elements/GL/all-glelements-cpp.cpp, src/errors/Makefile.am,
	src/errors/SoDebugError.cpp, src/misc/Makefile.am,
	src/misc/SoAudioDevice.cpp, src/misc/SoBase.cpp,
	src/misc/SoChildList.cpp, src/misc/SoDB.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLBigImage.cpp, src/misc/SoGLImage.cpp,
	src/misc/SoGlyph.cpp, src/misc/SoOffscreenRenderer.cpp,
	src/misc/SoOffscreenWGLData.cpp, src/misc/SoPath.cpp,
	src/misc/SoProto.cpp, src/misc/SoProtoInstance.cpp,
	src/misc/SoState.cpp, src/misc/SoType.cpp,
	src/misc/all-misc-cpp.cpp:
	
	Disk crash restore.

2004-01-07 17:16  pederb

	* src/vrml97/Extrusion.cpp:
	
	Multi-texture fix. Bug reported by Michael Mandel.

2004-01-07 15:24  pederb

	* src/shapenodes/soshape_bumprender.cpp:
	
	Compile fix.

2004-01-07 14:52  handegar

	* include/Inventor/C/glue/: gl.h, glp.h:
	
	Added support for 'glDrawRangeElements()'

2004-01-07 14:48  pederb

	* src/shapenodes/SoShape.cpp:
	
	Compile fix. Reported by Mark D. Anderson.

2004-01-07 14:34  larsa

	* NEWS:
	
	update

2004-01-06 18:55  larsa

	* src/shapenodes/soshape_bumprender.cpp:
	
	use glglue for glClientActiveTexture

2004-01-06 18:36  pederb

	* src/fields/SoField.cpp:
	
	Fix for VC++.

2004-01-06 17:20  pederb

	* src/shapenodes/: SoShape.cpp, soshape_bumprender.cpp:
	
	Support for multiple texture units when doing bumpmapping.

2004-01-06 17:14  pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h:
	
	Support for multi-texturing.

2004-01-06 15:20  pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h:
	
	Remove unused variable.

2004-01-06 15:13  larsa

	* README:
	
	update for 2.2 release

2004-01-06 15:11  larsa

	* NEWS, RELNOTES:
	
	news/changes updates

2004-01-06 13:56  pederb

	* src/shapenodes/soshape_bumprender.cpp:
	
	Support for color per vertex with bumpmaps.

2004-01-06 13:54  pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h:
	
	Support for color per vertex.

2004-01-06 12:21  pederb

	* src/fields/SoField.cpp:
	
	Fix engine copy bug. Bug reported by Winnie E Wong.

2004-01-06 12:20  pederb

	* src/engines/SoEngine.cpp:
	
	Fix potential engine copy bug.

2004-01-06 12:20  pederb

	* src/nodes/SoNode.cpp:
	
	Fix potential node copy bug.

2004-01-05 14:26  larsa

	* src/actions/SoHandleEventAction.cpp:
	
	doc update

2003-12-23 11:08  kyrah

	* src/glue/gl_agl.c:
	
	Fall back to software offscreen context if pBuffer context cannot
	be created.

2003-12-23 06:44  mortene

	* src/sensors/SoSensorManager.cpp:
	
	Reverting pederb's latest changes, as I'm seeing seriously
	detoriating performance for a Coin-based application. Needs to be
	investigated.

2003-12-23 05:39  mortene

	* src/io/SoOutput.cpp:
	
	Default to somewhat prettier output formatting.

2003-12-19 16:24  pederb

	* src/sensors/SoSensorManager.cpp:
	
	Fix for idle processing. This makes Coin much more responsive when
	manipulating scenes with animations.

2003-12-19 14:35  mortene

	* RELNOTES, src/shapenodes/SoMarkerSet.cpp:
	
	Change of semantics for SoMarkerSet: cull markers which are on the
	wrong side of an SoClipPlane.

2003-12-19 12:53  mortene

	* src/nodes/SoFontStyle.cpp:
	
	Minor bugfix: default font name is 'defaultFont', not a NULL
	string. Old code would always warn when using SoFontStyle in *any*
	manner.

2003-12-18 15:35  mortene

	* RELNOTES:
	
	Tiny typo fix.

2003-12-18 13:36  pederb

	* src/threads/rwmutex.c:
	
	Bugfix in read/write unlock.

2003-12-17 20:17  mortene

	* RELNOTES, src/nodes/SoFile.cpp:
	
	Change of semantics for SoFile: never insert an extra root node on
	top of the loaded scene graph. Brings it in line with the original
	SGI Inventor.

2003-12-16 13:57  pederb

	* src/nodes/SoSceneTexture2.cpp:
	
	Typo/bug fix.

2003-12-16 13:56  pederb

	* include/Inventor/C/glue/: gl_agl.h, gl_wgl.h:
	
	Compile fix.

2003-12-16 13:42  pederb

	* include/Inventor/C/glue/: gl.h, glp.h:
	
	New functions for testing line width and point size ranges.

2003-12-16 12:54  pederb

	* include/Inventor/C/glue/: gl.h, glp.h:
	
	Improve max lights test.

2003-12-15 16:57  pederb

	* src/glue/gl_wgl.c:
	
	Fixed one FIXME, added one new.

2003-12-15 16:51  pederb

	* src/glue/gl_wgl.c:
	
	Fixed a couple of bugs and memory leaks.

2003-12-15 10:30  pederb

	* src/nodes/: SoBumpMap.cpp, SoTextureUnit.cpp:
	
	Doc.

2003-12-15 10:30  pederb

	* src/nodes/SoSceneTexture2.cpp:
	
	Do a run-time test if we can render to texture.

2003-12-15 10:16  pederb

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	src/glue/gl_agl.c, src/glue/gl_wgl.c:
	
	Sync. with fixes from Coin development.

2003-12-12 14:14  pederb

	* src/glue/gl_wgl.c:
	
	Make context handling more robust. Fall back to software context if
	pbuffer fails.

2003-12-12 10:28  mortene

	* src/nodes/SoFontStyle.cpp:
	
	Minor code fix: no need to have function-local static variable in
	file-scope.

2003-12-11 23:22  thammer

	* htmlhelp/Makefile.am:
	
	Removed minor version from filename

2003-12-11 15:52  handegar

	* src/nodes/SoFontStyle.cpp:
	
	Moved in changes from Coin3

2003-12-11 14:33  pederb

	* src/io/SoInput.cpp:
	
	Increase buffer size when reading real numbers. Will fix properly
	later. Bug reported by Chris Scharver.

2003-12-11 12:53  thammer

	* htmlhelp/Makefile.am:
	
	Don't use minor version number in filename for chm file

2003-12-10 12:13  handegar

	* src/nodes/SoFontStyle.cpp:
	
	Doc fix.

2003-12-10 11:46  mortene

	* THANKS:
	
	Adds Volker Enderlein for bug reports.

2003-12-09 14:28  pederb

	* src/nodes/SoSceneTexture2.cpp:
	
	Bugfix. Set cache context id for offscreen context.

2003-12-09 12:36  larsa

	* html/Makefile.am:
	
	get Coin_logo.png installed too

2003-12-09 08:36  mortene

	* include/Inventor/nodes/SoSceneTexture2.h,
	src/nodes/SoSceneTexture2.cpp:
	
	Rename field for better consistency with other parts of Coin API.

2003-12-08 17:07  pederb

	* src/nodes/SoSceneTexture2.cpp:
	
	Fix for ugly bug.

2003-12-08 16:59  pederb

	* src/nodes/SoSceneTexture2.cpp:
	
	TransparencyFunction fix.

2003-12-08 16:48  pederb

	* include/Inventor/nodes/SoSceneTexture2.h,
	src/nodes/SoSceneTexture2.cpp:
	
	Transparency handling and GLX support.

2003-12-08 12:18  pederb

	* src/fonts/all-fonts-c.c:
	
	enable-compact fix.

2003-12-08 12:15  pederb

	* include/Inventor/lists/SbList.h:
	
	Compile fix.

2003-12-08 12:06  pederb

	* src/nodes/all-nodes-cpp.cpp:
	
	enable-compact fix.

2003-12-05 13:25  pederb

	* include/Inventor/elements/SoGLTextureEnabledElement.h:
	
	Support for GL_EXT_texture_rectangle.

2003-12-05 13:15  pederb

	* include/Inventor/misc/SoGLImage.h:
	
	PBuffer-support from Coin development.

2003-12-05 12:44  pederb

	* include/Inventor/nodes/SoSceneTexture2.h,
	src/nodes/SoSceneTexture2.cpp:
	
	Add source code.

2003-12-05 12:29  pederb

	* include/Inventor/nodes/Makefile.am, src/nodes/Makefile.am,
	src/nodes/SoNode.cpp:
	
	SoSceneTexture2 from Coin development.

2003-12-05 11:31  mortene

	* src/fields/: SoMFEnum.cpp, SoSFEnum.cpp:
	
	Better error output when something strange has happened.

2003-12-04 15:05  thammer

	* Makefile.am:
	
	Include stylesheet, header, footer and Coin logo in distribution.

2003-12-03 18:12  barbara

	* docs/doxygen/footer.html:
	
	change copyright

2003-12-03 17:55  pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h:
	
	Compile (pedantic version) fix.

2003-12-03 17:25  larsa

	* html/Makefile.am:
	
	get coin-logo from source dir location

2003-12-03 16:59  barbara

	* docs/doxygen/Coin_logo.png:
	
	add Coin logo

2003-12-03 16:58  barbara

	* docs/doxygen/: footer.html, header.html, stylesheet.css:
	
	Add doxygen header, footer and stylesheet file.

2003-12-03 13:19  mortene

	* src/fields/SoMField.cpp:
	
	Bugfix recent bugfix. Needs to call valueChanged(), not touch(), so
	all flags are set correctly.

2003-12-03 13:12  mortene

	* src/fields/SoMField.cpp:
	
	Bugfix: notification must be sent from readValue(). Bug reported by
	Gerhard Reitmayr.

2003-12-02 22:16  mortene

	* src/vrml97/ImageTexture.cpp:
	
	Tiny fix for Doxygen.

2003-12-02 17:48  larsa

	* htmlhelp/Makefile.am:
	
	typofix

2003-12-02 17:09  larsa

	* htmlhelp/Makefile.am:
	
	htmlhelp tweaks

2003-12-02 11:43  larsa

	* html/Makefile.am:
	
	install-rule fix

2003-12-02 11:41  larsa

	* Makefile.am, htmlhelp/Makefile.am:
	
	tweak

2003-12-02 11:31  larsa

	* Makefile.am, htmlhelp/Makefile.am:
	
	htmlhelp generation

2003-12-02 10:24  pederb

	* src/glue/gl_wgl.c:
	
	C++ comment fix.

2003-12-02 09:49  mortene

	* src/nodes/SoTextureUnit.cpp:
	
	Minor API doc fix.

2003-12-02 09:16  mortene

	* NEWS:
	
	New features for 2.2.

2003-12-01 16:20  pederb

	* include/Inventor/C/glue/: gl.h, glp.h:
	
	New GL bindings from Coin dev.

2003-12-01 16:19  pederb

	* include/Inventor/system/gl.h.in:
	
	New GL enums from Coin dev.

2003-12-01 16:17  pederb

	* include/Inventor/C/glue/gl_wgl.h, src/glue/gl_wgl.c:
	
	render-to-texture support from Coin dev.

2003-12-01 15:51  pederb

	* include/Inventor/C/glue/gl_agl.h, src/glue/gl_agl.c:
	
	Sync with Coin dev. Mostly pbuffer stuff.

2003-12-01 15:14  larsa

	* include/Inventor/elements/SoLazyElement.h:
	
	silence Sun Forte warning

2003-12-01 12:55  larsa

	* include/Inventor/SbString.h, include/Inventor/C/base/string.h,
	src/base/SbTesselator.cpp, src/base/string.c, src/fonts/freetype.c,
	src/hardcopy/VectorizeActionP.cpp,
	src/hardcopy/VectorizePSAction.cpp, src/vrml97/Sound.cpp:
	
	remove some Sun Forte compiler warnings

2003-11-28 15:32  pederb

	* include/Inventor/misc/SbHash.h:
	
	Fix ugly bug.

2003-11-28 15:16  handegar

	* src/nodes/SoFont.cpp:
	
	Doc update.

2003-11-28 10:16  pederb

	* src/glue/gl_wgl.c:
	
	Fix for ugly wglChoosePixelFormat() bug. attrs-list needs to be
	0-terminated.

2003-11-27 18:07  larsa

	* README.SUN:
	
	update

2003-11-26 23:30  thammer

	* src/glue/gl_wgl.c:
	
	Compile (warning) fix.

2003-11-24 17:08  pederb

	* include/Inventor/system/gl.h.in:
	
	Defines for SGIS_generate_mipmap.

2003-11-24 12:27  pederb

	* src/nodes/SoWWWInline.cpp:
	
	Misc. fixes for SoWWWInline (SoBBoxAction and SoSearchAction).

2003-11-24 11:11  mortene

	* src/glue/gl_wgl.c:
	
	Quality fixes: more defensive invocation of Win32 API functions.

2003-11-24 11:10  handegar

	* src/fonts/glyph3d.c:
	
	Changed code due to VC 6.0 (sp5) compilator optimization bug
	leading to ugly memleak in Release mode (fixed and reported by
	Gerhard Reitmayr).

2003-11-24 11:00  mortene

	* src/glue/gl_wgl.c:
	
	Bugfix: reinstate correct HBITMAP. Reported by Dan of Golden
	Software.

2003-11-24 10:29  mortene

	* src/glue/dl.c:
	
	Bugfixes: removes potential memory leaks for Win32 (reported by Dan
	of Golden Software) and Mac OS X.

2003-11-21 17:51  larsa

	* src/Makefile.am:
	
	redundancy removal

2003-11-21 17:47  larsa

	* include/Inventor/C/base/Makefile.am, src/base/Makefile.am:
	
	move to correct Makefile.am, redundancy removal

2003-11-21 11:27  larsa

	* include/Inventor/Make-Common.tpl, include/Inventor/Makefile.am,
	include/Inventor/C/Makefile.am,
	include/Inventor/C/base/Makefile.am,
	include/Inventor/C/errors/Makefile.am,
	include/Inventor/C/glue/Makefile.am,
	include/Inventor/C/threads/Makefile.am,
	include/Inventor/VRMLnodes/Makefile.am,
	include/Inventor/actions/Makefile.am,
	include/Inventor/annex/Makefile.am,
	include/Inventor/annex/HardCopy/Makefile.am,
	include/Inventor/bundles/Makefile.am,
	include/Inventor/caches/Makefile.am,
	include/Inventor/collision/Makefile.am,
	include/Inventor/details/Makefile.am,
	include/Inventor/draggers/Makefile.am,
	include/Inventor/elements/Makefile.am,
	include/Inventor/engines/Makefile.am,
	include/Inventor/errors/Makefile.am,
	include/Inventor/events/Makefile.am,
	include/Inventor/fields/Makefile.am,
	include/Inventor/lists/Makefile.am,
	include/Inventor/lock/Makefile.am,
	include/Inventor/manips/Makefile.am,
	include/Inventor/misc/Makefile.am,
	include/Inventor/nodekits/Makefile.am,
	include/Inventor/nodes/Makefile.am,
	include/Inventor/projectors/Makefile.am,
	include/Inventor/sensors/Makefile.am,
	include/Inventor/system/Makefile.am,
	include/Inventor/threads/Makefile.am, src/3ds/Makefile.am,
	src/actions/Makefile.am, src/base/Makefile.am,
	src/bundles/Makefile.am, src/collision/Makefile.am,
	src/details/Makefile.am, src/draggers/Makefile.am,
	src/engines/Makefile.am, src/events/Makefile.am,
	src/extensions/Makefile.am, src/fields/Makefile.am,
	src/fonts/Makefile.am, src/glue/Makefile.am,
	src/hardcopy/Makefile.am, src/io/Makefile.am,
	src/lists/Makefile.am, src/manips/Makefile.am,
	src/nodekits/Makefile.am, src/nodes/Makefile.am,
	src/projectors/Makefile.am, src/sensors/Makefile.am,
	src/shapenodes/Makefile.am, src/threads/Makefile.am,
	src/upgraders/Makefile.am, src/vrml97/Makefile.am:
	
	new Makefile setup

2003-11-21 10:35  pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Fix recently introduced bug.

2003-11-20 16:17  pederb

	* src/nodes/SoBumpMap.cpp:
	
	Use max quality for bumpmaps.

2003-11-20 16:12  pederb

	* src/shapenodes/: SoShape.cpp, soshape_bumprender.cpp,
	soshape_bumprender.h:
	
	Optimize bumpmap rendering by caching the tangent space.

2003-11-20 15:40  pederb

	* src/shapenodes/SoShape.cpp:
	
	Share bumprender class among all threads.

2003-11-20 14:58  pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Bumpmap coordinates bugfix.

2003-11-20 12:38  pederb

	* src/shapenodes/soshape_bumprender.cpp:
	
	Code cleanup.

2003-11-20 12:01  mortene

	* src/io/: all-io-c.c, all-io-cpp.cpp:
	
	Build fix: forgot the --enable-compact files.

2003-11-19 16:23  mortene

	* src/vrml97/Text.cpp:
	
	Compilation fix: strcmp() and strlen() needs string.h. Problem
	reported by Josh Flowers.

2003-11-19 15:29  mortene

	* src/: Makefile.am, io/Makefile.am, io/SoByteStream.cpp,
	io/SoInput.cpp, io/SoInput_FileInfo.cpp, io/SoInput_FileInfo.h,
	io/SoInput_Reader.cpp, io/SoInput_Reader.h, io/SoOutput.cpp,
	io/SoOutput_Writer.cpp, io/SoOutput_Writer.h,
	io/SoTranReceiver.cpp, io/SoTranSender.cpp, io/gzmemio.c,
	io/gzmemio.h:
	
	Split out source code in new directory for files related to I/O
	operations. Source code files moved from src/misc to src/io/.

2003-11-19 14:37  mortene

	* src/fields/SoField.cpp:
	
	Bug prevention: avoid using a single static buffer for the
	SoField::get(SbString&) method, as that will easily fail upon
	recursive invocation of the function.

2003-11-19 13:16  mortene

	* include/Inventor/misc/SbHash.h:
	
	Codestyle issue: making naming better confirm to rest of API.

2003-11-19 12:33  handegar

	* src/shapenodes/SoAsciiText.cpp:
	
	Fixed destructor error.

2003-11-19 11:59  handegar

	* src/fonts/freetype.c:
	
	Removed unnecessary malloc'ing and free'ing.

2003-11-18 19:56  mortene

	* src/engines/SoGate.cpp:
	
	Optimization and bug work-around: don't go through a string to pass
	on field value(s). By Gerhard Reitmayr.

2003-11-18 18:25  pederb

	* src/nodes/SoBumpMap.cpp:
	
	Detect if we can do bumpmapping.

2003-11-18 18:21  larsa

	* RELNOTES:
	
	notable features

2003-11-18 18:21  pederb

	* include/Inventor/C/glue/: gl.h, glp.h:
	
	Add function to test if we can do bumpmapping.

2003-11-18 17:44  pederb

	* include/Inventor/bundles/SoTextureCoordinateBundle.h,
	src/bundles/SoTextureCoordinateBundle.cpp:
	
	Adds needIndices() function needed for bumpmap rendering.

2003-11-18 17:35  pederb

	* src/shapenodes/: SoShape.cpp, soshape_bumprender.cpp,
	soshape_bumprender.h:
	
	Improved bumpmap rendering from Coin development.

2003-11-18 17:34  pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h:
	
	New SoPrimitiveVertexCache

2003-11-18 17:24  pederb

	* include/Inventor/misc/SbHash.h:
	
	Add SbHash from Coin development.

2003-11-18 16:51  pederb

	* src/shapenodes/: soshape_primdata.cpp, soshape_primdata.h:
	
	Added support for finding the point detail index based on an
	SoPrimitiveVertex pointer.

2003-11-18 16:47  pederb

	* src/: shapenodes/SoFaceSet.cpp, shapenodes/SoIndexedFaceSet.cpp,
	shapenodes/SoIndexedTriangleStripSet.cpp,
	shapenodes/SoQuadMesh.cpp, shapenodes/SoTriangleStripSet.cpp,
	vrml97/IndexedFaceSet.cpp:
	
	Support for SoTextureCoordinateBundle::needIndices().

2003-11-18 16:16  mortene

	* src/fonts/win32.c:
	
	Even less ugly..

2003-11-18 16:10  mortene

	* src/fonts/win32.c:
	
	FIXME notes, various cleanups (inefficiensis, some ugly code).

2003-11-18 15:48  pederb

	* src/nodes/SoBumpMap.cpp:
	
	Clear bumpmap when there's no image.

2003-11-18 12:10  mortene

	* src/fonts/Makefile.am:
	
	fontspec.c must be part of build.

2003-11-18 11:38  handegar

	* src/fonts/win32.c:
	
	Removed forgotten 'printf'.

2003-11-18 11:12  mortene

	* src/fonts/default3dfont.c:
	
	Const type qualifier for float return value is meaningless (and
	causes a warning with gcc 2.95.4).

2003-11-18 11:03  mortene

	* src/fonts/defaultfonts.h:
	
	Const type qualifier for float return value is meaningless.

2003-11-18 10:46  handegar

	* src/fonts/fontspec.c:
	
	Added missing fontspec.c file.

2003-11-18 10:40  handegar

	* src/glue/freetype.c:
	
	Moved in changes from Coin3.

2003-11-18 10:05  mortene

	* src/glue/gl_glx.c:
	
	Bugfix: avoid duplicate glxglue_contextdata_cleanup() invocations.
	Fixed by Tamer Fahmy.

2003-11-17 21:48  handegar

	* src/shapenodes/: SoAsciiText.cpp, SoText3.cpp, SoText2.cpp:
	
	Moved in changes from Coin3.

2003-11-17 21:44  handegar

	* src/vrml97/Text.cpp:
	
	Moved in changes from Coin3 (new font support, better layout
	control ++).

2003-11-17 21:43  handegar

	* include/Inventor/VRMLnodes/SoVRMLText.h:
	
	Made pimpl class friendly.

2003-11-17 21:41  handegar

	* include/Inventor/misc/SoGlyph.h:
	
	Fixed support for new font system.

2003-11-17 21:21  mortene

	* include/Inventor/SoDB.h:
	
	Interface modification for the progress callback functionality.

2003-11-17 21:16  handegar

	* src/fonts/: glyph2d.c, glyph2d.h, glyph3d.c, glyph3d.h:
	
	Moved in font support from Coin3.

2003-11-17 21:15  handegar

	* src/fonts/: default3dfont.c, defaultfonts.h:
	
	Moved in changes in the defaultfont from Coin3.

2003-11-17 21:13  handegar

	* src/fonts/fontspec.h:
	
	Moved in font-support from Coin3.

2003-11-17 21:12  handegar

	* src/fonts/: fontlib_wrapper.c, fontlib_wrapper.h:
	
	Moved in font support from Coin3.

2003-11-17 21:05  mortene

	* include/Inventor/SoDB.h, src/3ds/3dsLoader.cpp,
	src/3ds/3dsLoader.h:
	
	API for progress callbacks. Better handling of 3DS files; warn when
	3DS file is attempted read, but Coin is not suitably configured.
	Bugfix: return correct root node when reading 3DS file (problem
	reported by kintel).

2003-11-17 20:51  handegar

	* src/fonts/: win32.c, win32.h:
	
	Moved in win32 font support from Coin3.

2003-11-17 20:47  handegar

	* src/fonts/: freetype.c, freetype.h:
	
	Moved freetype support from Coin-3.

2003-11-17 20:42  handegar

	* include/Inventor/C/glue/freetype.h:
	
	Added vector outline functions.

2003-11-17 20:35  handegar

	* src/glue/GLUWrapper.c, include/Inventor/C/glue/GLUWrapper.h:
	
	Added support for tessellation.

2003-11-17 16:20  mortene

	* src/glue/gl_wgl.c:
	
	Misc fixes to correct, robustify and clean up the WGL pbuffer
	implementation. By Tamer Fahmy and mortene.

2003-11-17 15:25  pederb

	* src/nodes/SoBumpMap.cpp:
	
	Doc. update.

2003-11-17 14:47  pederb

	* src/: glue/all-glue-c.c, nodes/all-nodes-cpp.cpp,
	shapenodes/all-shapenodes-cpp.cpp:
	
	compact build fixes.

2003-11-17 14:46  pederb

	* src/nodes/SoNode.cpp:
	
	Initialize SoBumpMapCoordinateElement and SoBumpMapCoordinate.

2003-11-17 14:45  pederb

	* src/nodes/Makefile.am:
	
	Build SoBumpMapCoordinate and SoBumpMapCoordinateElement

2003-11-17 14:44  pederb

	* include/Inventor/elements/SoBumpMapCoordinateElement.h:
	
	SoBumpMapCoordinateElement implementation

2003-11-17 14:44  pederb

	* include/Inventor/nodes/SoBumpMapCoordinate.h,
	src/nodes/SoBumpMapCoordinate.cpp:
	
	SoBumpCoordinateMap implementation

2003-11-17 12:51  larsa

	* NEWS:
	
	update

2003-11-17 12:49  pederb

	* src/shapenodes/SoShape.cpp:
	
	Bumpmap rendering from Coin development.

2003-11-17 12:48  pederb

	* src/nodes/SoNode.cpp:
	
	Initialized SoBumpMap and SoBumpMapElement.

2003-11-17 12:28  pederb

	* src/shapenodes/: Makefile.am, soshape_bumprender.cpp,
	soshape_bumprender.h:
	
	More bumpmap rendering from Coin development.

2003-11-17 12:21  pederb

	* include/Inventor/C/glue/glp.h,
	include/Inventor/elements/SoBumpMapElement.h,
	include/Inventor/nodes/SoBumpMap.h, src/glue/Makefile.am,
	src/glue/normalization_cubemap.c, src/nodes/Makefile.am,
	src/nodes/SoBumpMap.cpp:
	
	BumpMap code from Coin development.

2003-11-17 11:50  pederb

	* include/Inventor/elements/SoTextureOverrideElement.h:
	
	Add functions for bump map override.

2003-11-17 11:48  pederb

	* src/nodes/SoPointLight.cpp:
	
	Update SoLightElement when traversing.

2003-11-17 11:41  pederb

	* include/Inventor/elements/SoGLMultiTextureImageElement.h:
	
	Add function to restore the current texture.

2003-11-17 11:37  pederb

	* src/nodes/: SoDirectionalLight.cpp, SoSpotLight.cpp:
	
	Update SoLightElement when traversing.

2003-11-17 11:37  pederb

	* src/nodes/SoLight.cpp:
	
	Enable SoLightElement for SoGLRenderAction (needed for bumpmap
	rendering).

2003-11-16 10:05  mortene

	* docs/GLWrapper.txt, include/Inventor/C/glue/gl.h:
	
	Move kintel's old doc for the GL wrapper to the source code, update
	it to be correct versus the current interface.

2003-11-14 14:35  mortene

	* src/nodes/SoBlinker.cpp:
	
	Very minor cleanup: remove unnecessary header file inclusion.

2003-11-14 12:56  pederb

	* include/Inventor/system/gl.h.in:
	
	GL cube_map, env_combine, and env_dot3 defines.

2003-11-14 12:21  pederb

	* include/Inventor/system/gl.h.in:
	
	More multitexture defines.

2003-11-14 11:42  mortene

	* src/nodes/all-nodes-cpp.cpp:
	
	Compilation fixes for --enable-compact.

2003-11-14 11:26  mortene

	* src/: actions/SoRayPickAction.cpp, vrml97/Extrusion.cpp,
	vrml97/Geometry.cpp:
	
	Compilation fixes for --enable-compact.

2003-11-14 10:43  mortene

	* src/glue/gl_glx.c:
	
	Bugfix: copy'n'paste error, found by kyrah.

2003-11-14 10:18  mortene

	* include/Inventor/C/glue/win32api.h, src/glue/win32api.c:
	
	Adds workaround for known Win32 bug in GetTextFace(). Sync-up with
	Coin dev branch.

2003-11-13 19:34  larsa

	* NEWS:
	
	new feature

2003-11-13 18:35  kintel

	* bin/coin-config:
	
	OS X: --build now builds cmd-line tool. --build-app builds app
	bundle

2003-11-13 17:59  mortene

	* src/nodes/SoTextureUnit.cpp:
	
	Only warn once.

2003-11-13 17:20  pederb

	* include/Inventor/nodes/SoTextureUnit.h,
	src/nodes/SoTextureUnit.cpp:
	
	Compatibility fix.

2003-11-13 14:29  pederb

	* include/Inventor/nodes/SoTextureCoordinatePlane.h,
	src/nodes/SoTextureCoordinatePlane.cpp:
	
	Multi-texture SoTextureCoordinatePlane support.

2003-11-13 13:13  mortene

	* examples/bindings/glxiv.cpp:
	
	Example code on how to bind Coin with GLX/X11 in the simplest
	possible way.

2003-11-13 13:12  mortene

	* examples/bindings/glutiv.cpp:
	
	Smoother animation by increasing the default realtime interval.
	Copyright update (-> GPL). Misc minor doc fixes.

2003-11-13 12:27  pederb

	* src/nodes/SoTextureCoordinatePlane.cpp:
	
	Bugfix. Initialize texgen cache for other actions than
	SoGLRenderAction.

2003-11-13 12:05  kintel

	* README.MAC:
	
	Updated URL to Qt/Mac

2003-11-13 11:17  pederb

	* include/Inventor/elements/SoGLMultiTextureMatrixElement.h:
	
	Fix typedef.

2003-11-12 19:36  larsa

	* include/Inventor/C/glue/: gl.h, glp.h:
	
	glClientActiveTexture() needed when combining vertex arrays and
	multi-texturing

2003-11-12 17:23  pederb

	* src/nodes/Makefile.am:
	
	Install multi-texture headers.

2003-11-12 17:14  pederb

	* src/shapenodes/SoShape.cpp:
	
	Compile fix.

2003-11-12 17:11  pederb

	* include/Inventor/misc/SoGL.h, src/shapenodes/SoCone.cpp,
	src/shapenodes/SoCube.cpp, src/shapenodes/SoCylinder.cpp,
	src/shapenodes/SoSphere.cpp, src/vrml97/Box.cpp,
	src/vrml97/Cone.cpp, src/vrml97/Cylinder.cpp,
	src/vrml97/Sphere.cpp:
	
	Send multi-texture coordinates for non-vertex based shapes.

2003-11-12 17:09  pederb

	* src/nodes/: SoTexture2.cpp, SoTexture2Transform.cpp,
	SoTexture3Transform.cpp, SoTextureCoordinate2.cpp,
	SoTextureCoordinateEnvironment.cpp:
	
	Send texture stuff to the correct unit.

2003-11-12 17:04  mortene

	* src/glue/gl_wgl.c:
	
	Minor touch-ups.

2003-11-12 17:02  pederb

	* include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	src/bundles/SoTextureCoordinateBundle.cpp:
	
	Send multi-texture coordinates for vertex-based shapes.

2003-11-12 16:55  pederb

	* src/nodes/SoNode.cpp:
	
	Initialize the TextureUnit node.

2003-11-12 16:28  pederb

	* include/Inventor/nodes/: SoNode.h, SoSubNodeP.h:
	
	Defines/enums for Coin-2.2.

2003-11-12 16:27  pederb

	* src/nodes/SoTextureUnit.cpp,
	include/Inventor/nodes/SoTextureUnit.h:
	
	Added missing file needed for multi-texturing.

2003-11-12 16:08  pederb

	* include/Inventor/elements/SoGLMultiTextureCoordinateElement.h,
	include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	include/Inventor/elements/SoGLMultiTextureImageElement.h,
	include/Inventor/elements/SoGLMultiTextureMatrixElement.h,
	include/Inventor/elements/SoMultiTextureCoordinateElement.h,
	include/Inventor/elements/SoMultiTextureEnabledElement.h,
	include/Inventor/elements/SoMultiTextureImageElement.h,
	include/Inventor/elements/SoMultiTextureMatrixElement.h,
	include/Inventor/elements/SoTextureUnitElement.h,
	src/nodes/Makefile.am:
	
	Multi-texturing from Coin development.

2003-11-12 15:48  mortene

	* include/Inventor/system/gl.h.in, src/glue/gl_wgl.c:
	
	Support WGL_EXT_pbuffer in addition to WGL_ARB_pbuffer for pbuffer
	support.

2003-11-12 14:25  mortene

	* src/glue/gl_wgl.c:
	
	WGL pbuffer implementation, by Tamer Fahmy.

2003-11-12 14:08  mortene

	* include/Inventor/system/gl.h.in:
	
	Additional enums for WGL pbuffer extensions.

2003-11-12 14:04  mortene

	* include/Inventor/system/gl.h.in:
	
	Added GLU tesselator #defines. (Missing sync with Coin dev
	repository.)

2003-11-11 17:16  mortene

	* src/base/: SbDPMatrix.cpp, SbMatrix.cpp:
	
	Doc: try to end the confusion over multiplication order for Coin
	matrices.

2003-11-11 13:40  larsa

	* src/actions/SoRayPickAction.cpp:
	
	THIS to PRIVATE(this) update

2003-11-10 15:50  larsa

	* src/base/SbPlane.cpp:
	
	sync with Coin dev

2003-11-10 15:43  larsa

	* src/base/SbPlane.cpp:
	
	length()->sqrLength()

2003-11-10 15:41  larsa

	* src/base/SbPlane.cpp:
	
	double negation

2003-11-10 11:53  larsa

	* src/base/SbPlane.cpp:
	
	debugging tweaks

2003-11-07 12:13  larsa

	* src/base/SbString.cpp:
	
	doxygen fix

2003-11-06 09:52  mortene

	* src/draggers/SoTabPlaneDragger.cpp:
	
	Make tabs position correctly even when there's a negative scale in
	the model matrix. Fix by Kristofer Tingdahl.

2003-11-05 13:00  mortene

	* src/glue/win32api.c:
	
	Better debugging aid in the GetTextFace() wrapper.

2003-11-05 12:57  mortene

	* src/threads/thread.c:
	
	Doc additions / fixes.

2003-11-04 19:23  larsa

	* include/Inventor/: engines/SoOutputData.h, lists/SbList.h,
	misc/SoLightPath.h:
	
	don't pull in SbBasic.h though SbList.h

2003-11-04 17:30  pederb

	* include/Inventor/C/glue/: gl.h, glp.h:
	
	Function for checking max texture units.

2003-11-03 12:58  pederb

	* include/Inventor/C/glue/: gl.h, glp.h:
	
	Some extra multi-texture functions.

2003-10-31 16:19  pederb

	* src/actions/SoHandleEventAction.cpp:
	
	Bugfix. Set pick as not valid after SoRayPickAction::reset() in
	case somebody tries to fetch the picked point after the action has
	been applied.

2003-10-29 15:13  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Avoid touch()-ing from a different thread than the application
	thread.

2003-10-29 14:45  pederb

	* include/Inventor/VRMLnodes/SoVRMLImageTexture.h,
	src/vrml97/ImageTexture.cpp:
	
	Bad idea. Remove function again.

2003-10-29 14:09  pederb

	* include/Inventor/VRMLnodes/SoVRMLImageTexture.h,
	src/vrml97/ImageTexture.cpp:
	
	New method needed to get a callback when the node has finished
	loading an image.

2003-10-28 12:54  larsa

	* cfg/errors.txt:
	
	reorganization of compiler flag detection code

2003-10-27 18:50  mortene

	* NEWS:
	
	Almost forgot this one..

2003-10-27 18:47  pederb

	* src/: nodes/SoMaterial.cpp, vrml97/Material.cpp:
	
	Warn and clamp for shininess out-of-range.

2003-10-27 15:22  pederb

	* include/Inventor/elements/SoSubElement.h:
	
	New macro needed for elements with a custom constructor.

2003-10-27 05:58  mortene

	* docs/projects.txt, src/actions/SoSearchAction.cpp,
	src/base/dynarray.cpp,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/fields/SoSFImage.cpp, src/nodes/SoClipPlane.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoNode.cpp,
	src/shapenodes/SoNurbsSurface.cpp:
	
	Misc accumulated doc additions and other minor fixes.

2003-10-24 16:50  pederb

	* src/hardcopy/VectorizePSAction.cpp:
	
	Use integers for postscript bounding box. Bugfix by Duncan Soutar.

2003-10-24 15:13  larsa

	* src/: Make-Common.tpl, Makefile.am, 3ds/Makefile.am,
	actions/Makefile.am, base/Makefile.am, bundles/Makefile.am,
	collision/Makefile.am, details/Makefile.am, draggers/Makefile.am,
	engines/Makefile.am, events/Makefile.am, fields/Makefile.am,
	fonts/Makefile.am, glue/Makefile.am, hardcopy/Makefile.am,
	lists/Makefile.am, manips/Makefile.am, nodekits/Makefile.am,
	nodes/Makefile.am, projectors/Makefile.am, sensors/Makefile.am,
	shapenodes/Makefile.am, threads/Makefile.am, upgraders/Makefile.am,
	vrml97/Makefile.am:
	
	try to catch install problems

2003-10-23 17:45  handegar

	* include/Inventor/nodes/SoTexture2.h:
	
	Compile fix by Pederb

2003-10-23 16:35  mortene

	* src/engines/SoTransformVec3f.cpp:
	
	Don't be a slouch.

2003-10-23 16:28  mortene

	* NEWS:
	
	A couple of the new features (are there any other? Please fill in.)

2003-10-23 16:25  mortene

	* src/engines/SoTransformVec3f.cpp:
	
	Bugfix: input vector can legally be a null-vector, so check length
	before attempting normalize.

2003-10-23 14:35  pederb

	* src/nodes/SoTexture2.cpp:
	
	typofix.

2003-10-23 14:33  pederb

	* src/nodes/SoTexture2.cpp:
	
	Support for REPLACE texture model.

2003-10-23 01:11  thammer

	* build/build_coin_win32.sh:
	
	Link statically with simage

2003-10-22 20:54  thammer

	* src/nodes/SoTexture2.cpp:
	
	Improved doc for BLEND model

2003-10-20 10:25  pederb

	* THANKS:
	
	Added Richard Mitton.

2003-10-20 10:24  pederb

	* src/nodes/SoUnits.cpp:
	
	Enable SoUnitsElement for SoGetMatrixAction. Bug reported by
	Richard Mitton.

2003-10-17 17:45  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Added example code for fixing scene graphs from brain-dead
	exporters.

2003-10-17 17:14  pederb

	* src/nodes/SoTexture2.cpp:
	
	Added example code for fixing scene graphs from brain-dead
	exporters.

2003-10-17 14:40  larsa

	* docs/coin.doxygen.in:
	
	didn't mean to remove this file in previous commit

2003-10-17 14:33  larsa

	* docs/coin.doxygen.in:
	
	add missing files

2003-10-17 13:41  larsa

	* src/collision/SoIntersectionDetectionAction.cpp:
	
	doc fix

2003-10-17 11:56  mortene

	* src/: base/SbRotation.cpp, glue/freetype.c, nodes/SoGroup.cpp,
	nodes/SoShapeHints.cpp:
	
	Misc doc updates.

2003-10-16 17:07  larsa

	* README.WIN32:
	
	info

2003-10-16 02:35  kyrah

	* README.MAC:
	
	Refer to web-based FAQ for general Coin/Mac issues. (Most Apple
	users will never see the README.MAC file in the source repository
	at all, hence the need for a web based FAQ. Then I rather keep the
	information in one place there than trying to keep them in sync.)

2003-10-15 14:55  pederb

	* THANKS:
	
	Adds Marc Eilhard.

2003-10-15 14:51  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Bugfix. Reenable test that somebody has disabled at some time,
	causing extra list items to be added.

2003-10-15 00:25  mortene

	* src/misc/SoGLImage.cpp:
	
	Bugfix: were using a potentially uninitialized variable.

2003-10-14 19:13  kyrah

	* src/misc/SoGL.cpp:
	
	More sensible default value for render caching on Mac OS X

2003-10-14 17:05  pederb

	* src/vrml97/Background.cpp:
	
	Bugfix and simplifications.

2003-10-14 14:31  pederb

	* src/actions/SoRayPickAction.cpp:
	
	Bugfix. Return from intersect() if lines are parallel.

2003-10-13 07:54  mortene

	* src/fonts/default2dfont.c:
	
	Remove C++-style comments from C file.

2003-10-13 07:48  mortene

	* src/fonts/default2dfont.c:
	
	Adds degree sign to default font set.

2003-10-11 13:26  kyrah

	* NEWS:
	
	Mention gzip/Mac and FreeType fixes

2003-10-11 10:20  mortene

	* README.WIN32, src/nodes/SoFile.cpp,
	src/nodes/SoPolygonOffset.cpp, src/shapenodes/SoFaceSet.cpp:
	
	Doc fixes.

2003-10-11 10:19  mortene

	* src/misc/SoNormalGenerator.cpp:
	
	Minor fix in debug-code.

2003-10-11 09:57  kyrah

	* src/fonts/freetype.c:
	
	Make it possible to specify font files as foo.ttf

2003-10-11 06:12  kyrah

	* models/oiv_compliance/font.iv:
	
	Use font names, not file names.)

2003-10-11 06:11  kyrah

	* include/Inventor/C/glue/freetype.h, src/glue/freetype.c:
	
	gcc 3.2 compile fixes.

2003-10-11 06:09  kyrah

	* src/fonts/freetype.c:
	
	Avoid multiple definitions when linking against freetype.

2003-10-10 15:46  handegar

	* src/vrml97/: Background.cpp, Fog.cpp:
	
	Added full VRMLBackground and VRMLFog support.

2003-10-10 12:16  larsa

	* docs/misc-resources.txt:
	
	sync with Coin dev

2003-10-09 13:52  kyrah

	* include/Inventor/actions/SoActions.h, src/actions/SoAction.cpp:
	
	Re-enable SoIntersectionDetectionAction initialization.

2003-10-08 07:52  mortene

	* src/base/memalloc.c:
	
	Misc minor fixes. Adds in an assert() in an attempt to get closer
	to a bug.

2003-10-07 15:18  pederb

	* src/base/SbTesselator.cpp:
	
	Fix tesselator bug caused by braindead programmer (me).

2003-10-07 10:05  mortene

	* src/base/SbTesselator.cpp:
	
	Simplified code.

2003-10-07 09:50  mortene

	* src/misc/SoNormalGenerator.cpp:
	
	Detect faulty polygons when generating normals. Misc minor code
	cleanups.

2003-10-06 17:18  pederb

	* src/base/SbTesselator.cpp:
	
	Typofix.

2003-10-06 17:08  pederb

	* src/base/SbTesselator.cpp:
	
	Bugfix and epsilon adjust.

2003-10-06 15:14  pederb

	* src/base/SbTesselator.cpp:
	
	MSVC compile fix.

2003-10-06 14:44  pederb

	* include/Inventor/SbTesselator.h, src/base/SbTesselator.cpp,
	src/caches/SoConvexDataCache.cpp:
	
	Optimize SbTesselator by replacing O(n^2) test. Also some epsilon
	bugfixes.

2003-10-03 19:49  thammer

	* docs/foreign-language-bindings.txt:
	
	Added note about swigsharp

2003-10-03 10:05  mortene

	* src/: fonts/2d-font.xpm, fonts/Makefile.am, fonts/all-fonts-c.c,
	fonts/default2dfont.c, fonts/default3dfont.c, fonts/defaultfonts.h,
	fonts/fontlib_wrapper.c, misc/Makefile.am, misc/SoGlyph.cpp,
	misc/all-misc-cpp.cpp:
	
	Moved more font-related stuff from misc/ to fonts/.

2003-10-01 16:15  pederb

	* src/nodes/SoRotor.cpp:
	
	Use SoTimerSensor and not SoOneShotSensor to animate. SoOneShot
	sensor triggers far too often.

2003-10-01 11:03  pederb

	* src/misc/SoBase.cpp:
	
	Less strict write-debugging.

2003-09-30 11:50  pederb

	* include/Inventor/C/glue/: gl.h, glp.h:
	
	Expose new function.

2003-09-30 11:10  pederb

	* src/base/time.c:
	
	Bugfix for platforms that use ftime().

2003-09-30 11:03  pederb

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	include/Inventor/system/gl.h.in, src/glue/gl.c:
	
	More run-time OpenGL bindings. Mostly related to OpenGL vertex
	array.

2003-09-30 11:01  pederb

	* include/Inventor/actions/SoRayPickAction.h,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoRayPickAction.cpp:
	
	Adds SoRayPickAction::reset(). Use it to truncate picked point
	list.

2003-09-30 11:00  pederb

	* cfg/coin.m4:
	
	bootstrap with updated simacros.

2003-09-30 10:49  pederb

	* configure.ac, cfg/coin.m4:
	
	Getting ready for Coin 2.2

2003-09-30 10:22  pederb

	* src/actions/SoHandleEventAction.cpp:
	
	Empty the internal picked point list after applying an
	SoHandleEventAction. Bug reported by Klaas Dellschaft.

2003-09-29 17:19  kyrah

	* configure.ac:
	
	Don't check for X11 on Mac OS X (Patch applied to Coin/ in spring,
	and never synced)

2003-09-29 16:24  kyrah

	* configure.ac, src/misc/SoInput.cpp, src/misc/SoInput_Reader.cpp:
	
	Workaround for problem in Mac OS X gzip: Use gzopen() instead of
	gzdopen().

2003-09-29 09:46  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Bugfix. Don't create texture only in current state, since the same
	thread might be used to render into more than one context. Bug
	reported by nico97492@yahoo.com.

2003-09-26 13:14  pederb

	* src/nodes/SoTextureCoordinatePlane.cpp:
	
	Supply texgen function even when rendering. The callback might be
	needed if generatePrimitives() is used to render. Bug spotted by
	thammer.

2003-09-23 14:01  kyrah

	* cfg/coin.m4:
	
	Bootstrap.

2003-09-23 10:43  pederb

	* patches/opengl-vertex-array-fix.diff:
	
	fix for opengl-vertex-array.diff.

2003-09-23 10:15  pederb

	* patches/opengl-vertex-array.diff:
	
	Waiting for Coin 2.2.

2003-09-22 16:36  pederb

	* THANKS:
	
	Adds Klaas Dellschaft.

2003-09-22 16:35  pederb

	* src/nodes/SoSelection.cpp:
	
	Fixed problem with dangling paths in internal SoSearchAction.
	Plugged (static) memory leak. Bug reported by Klaas Dellschaft.

2003-09-22 10:39  mortene

	* include/Inventor/engines/SoEngine.h, src/engines/SoEngine.cpp,
	src/engines/SoEngineOutput.cpp:
	
	Bugfix: avoid recursive evaluation, by using a bitflag to indicate
	when engine is dirty. Problem reported and fix suggested by Gerhard
	ReitMayr.

2003-09-22 09:38  mortene

	* include/Inventor/C/basic.h.in:
	
	Min/max macros for C.

2003-09-20 10:22  mortene

	* src/nodes/SoTextureScalePolicy.cpp:
	
	Improved class doc.

2003-09-19 18:06  pederb

	* src/tidbits.c:
	
	Compile fix.

2003-09-19 15:43  mortene

	* src/fields/: SoField.cpp, SoFieldData.cpp:
	
	Better error reporting.

2003-09-19 15:34  mortene

	* src/fields/: SoSFFloat.cpp, SoSFTime.cpp:
	
	Corrected error message to be valid at all cases.

2003-09-19 15:23  mortene

	* src/fields/: SoSFFloat.cpp, SoSFTime.cpp:
	
	Tidier error output.

2003-09-19 15:21  mortene

	* src/fields/SoSFFloat.cpp:
	
	Use common function for all floating-point loading for fields.

2003-09-19 15:09  mortene

	* src/fields/: SoSFColor.cpp, SoSFMatrix.cpp, SoSFPlane.cpp,
	SoSFRotation.cpp, SoSFTime.cpp, SoSFVec2f.cpp, SoSFVec3f.cpp,
	SoSFVec4f.cpp:
	
	Check validity of floating point values, as an aid in catching
	NaNs, for instance.

2003-09-19 15:03  mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:
	
	Wrappers around validity checks for floating point values.

2003-09-19 14:29  mortene

	* configure.ac:
	
	Detect presence of isnan(), isinf() and related functions.

2003-09-19 14:23  mortene

	* src/misc/SoInput.cpp:
	
	Minor code simplification.

2003-09-19 13:08  mortene

	* src/: elements/GL/SoGLDrawStyleElement.cpp,
	misc/SoSceneManager.cpp, shapenodes/SoQuadMesh.cpp:
	
	Documentation fixes.

2003-09-19 10:21  pederb

	* configure.ac:
	
	Move comment out of macro. Bootstrap.

2003-09-19 09:48  mortene

	* cfg/errors.txt:
	
	Bootstrap.

2003-09-19 09:44  mortene

	* configure.ac:
	
	Only use headers if they can be built. Problem reported by Winnie E
	Wong.

2003-09-15 21:10  mortene

	* src/tidbits.c:
	
	Avoid C++-style comments in C code.

2003-09-15 15:56  larsa

	* src/misc/SoDB.cpp:
	
	don't run this code - it's enough for it to compile successfully

2003-09-15 15:49  larsa

	* include/Inventor/system/inttypes.h.in:
	
	include stddef.h for uintptr_t declaration

2003-09-15 15:47  larsa

	* include/coindefs.h, src/misc/SoDB.cpp:
	
	break on invalid compilation setup at compile-time, not run-time

2003-09-12 15:30  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Change limit when linear filtering will be used.

2003-09-12 15:27  pederb

	* src/misc/SoGLImage.cpp:
	
	Use glTexParamteri() instead of glTexParamterf().

2003-09-12 11:49  mortene

	* src/shapenodes/: SoIndexedTriangleStripSet.cpp,
	SoTriangleStripSet.cpp:
	
	Class doc improvements.

2003-09-12 09:45  mortene

	* src/base/SbLine.cpp:
	
	Improve API doc.

2003-09-12 09:19  mortene

	* src/base/SbLine.cpp:
	
	Improved API doc on getClosestPoint().

2003-09-12 07:47  mortene

	* src/base/SbDPLine.cpp:
	
	Floating-point precision fixes. Takes care of compiler warnings
	from HP-UX aCC, as reported by Mark D Anderson.

2003-09-10 14:57  pederb

	* src/misc/SoNormalGenerator.cpp:
	
	BSP init fix.

2003-09-09 18:09  mortene

	* src/fields/SoField.cpp:
	
	Bugfix: slave fields with an initial value specification should use
	that value until their master field's value is updated. Problem
	reported by Gerhard ReitMayr.

2003-09-08 19:43  mortene

	* src/fields/SoField.cpp:
	
	Bugfix: erroneous attempt at string concat.

2003-09-08 19:37  mortene

	* src/fields/SoField.cpp:
	
	Minor fixes, convert macro to template inline.

2003-09-02 16:37  mortene

	* src/glue/: all-glue-c.c, dl.c:
	
	Compilation fixes: --enable-compact was broken, win32api.h is not
	to be included on non-Win32 systems. Both problems reported by Mark
	D Anderson.

2003-09-02 11:57  mortene

	* src/errors/error.c:
	
	Plug memory leak.

2003-09-02 11:55  mortene

	* src/glue/dl.c:
	
	Simplified code for error reporting under Win32.

2003-09-02 11:25  mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:
	
	Function to query if application is exiting.

2003-09-02 11:07  mortene

	* src/shapenodes/: SoFaceSet.cpp, SoIndexedFaceSet.cpp:
	
	Improved class documentation.

2003-09-02 10:52  mortene

	* src/fields/SoField.cpp:
	
	Bugfix: crashed when trying to make connections from fields with no
	container.

2003-09-01 15:28  kyrah

	* Makefile.am:
	
	Create Resources directory (will contain libsimage binaries).

2003-09-01 14:04  pederb

	* src/shapenodes/SoText2.cpp:
	
	Compiler warning fix.

2003-09-01 12:33  mortene

	* configure.ac, cfg/errors.txt, src/Makefile.am,
	src/fonts/Makefile.am, src/fonts/all-fonts-c.c,
	src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/fonts/fontspec.h, src/fonts/freetype.c, src/fonts/freetype.h,
	src/fonts/glyph2d.c, src/fonts/glyph2d.h, src/fonts/glyph3d.c,
	src/fonts/glyph3d.h, src/fonts/win32.c, src/fonts/win32.h,
	src/glue/Makefile.am, src/glue/flwfreetype.c, src/glue/flwwin32.c,
	src/glue/fontlib_wrapper.c:
	
	Move font-handling related code to src/fonts/.

2003-09-01 11:50  pederb

	* src/shapenodes/SoIndexedShape.cpp:
	
	Bbox fixes. Handle 4D coordinates properly. Calculate weighted
	center.

2003-09-01 11:39  pederb

	* src/shapenodes/SoNonIndexedShape.cpp:
	
	Simplify bbox code by using SbVec4f::getReal().

2003-09-01 11:22  mortene

	* src/glue/flwfreetype.c:
	
	FIXME.

2003-09-01 11:17  mortene

	* THANKS, docs/api-wish-list.txt,
	include/Inventor/C/threads/threadsutilp.h,
	models/dead_simple/text2.iv, src/elements/GL/SoGLLazyElement.cpp,
	src/glue/flwwin32.c, src/glue/win32api.c,
	src/hardcopy/HardCopy.cpp, src/misc/SoGlyph.cpp,
	src/misc/SoTempPath.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoResetTransform.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoRotationXYZ.cpp, src/nodes/SoScale.cpp,
	src/nodes/SoTransform.cpp, src/nodes/SoTranslation.cpp,
	src/threads/thread_win32.ic:
	
	Misc documentation updates and other minor fixes.

2003-09-01 11:12  mortene

	* include/Inventor/C/glue/dlp.h, src/glue/Makefile.am,
	src/glue/dl.c:
	
	Add new method cc_dl_available() for run-time checking whether or
	not we can do dynamic library binding.

2003-09-01 11:04  pederb

	* src/nodes/SoMultipleCopy.cpp:
	
	Bugfix in SoMultipleCopy::search().

2003-09-01 11:01  pederb

	* src/nodes/SoArray.cpp:
	
	Bugfix in SoArray::search().

2003-08-31 16:02  mortene

	* src/3ds/3dsLoader.cpp:
	
	Fixes by PC John.

2003-08-29 18:21  pederb

	* src/shapenodes/SoText2.cpp:
	
	One final (hopefully) bbox fix.

2003-08-29 17:51  pederb

	* src/shapenodes/SoText2.cpp:
	
	Fix Text2 bbox calculations.

2003-08-29 16:52  pederb

	* src/glue/fontlib_wrapper.c:
	
	Bugfix for crash on exit when default font is used.

2003-08-28 17:54  pederb

	* src/vrml97/IndexedFaceSet.cpp:
	
	Fix bugs with convex cache handling.

2003-08-28 12:42  pederb

	* src/elements/GL/SoGLViewingMatrixElement.cpp:
	
	Fix bug with transformations before the camera when there are
	multiple cameras in the scene graph. Bug reported by Gerhard
	Reitmayr.

2003-08-27 16:31  kyrah

	* FAQ.legal:
	
	Added FAQ item on the 'PEL at once' issue

2003-08-27 12:45  larsa

	* include/Inventor/: errors/SoDebugError.h, errors/SoError.h,
	errors/SoMemoryError.h, errors/SoReadError.h, sensors/SoSensor.h:
	
	Borland C++ compile fix

2003-08-27 09:11  mortene

	* src/fields/: MFNodeEnginePath.tpl, SoField.cpp, SoMFEngine.cpp,
	SoMFNode.cpp, SoMFPath.cpp:
	
	Doxygen API doc fixes.

2003-08-26 12:50  mortene

	* src/glue/fontlib_wrapper.c:
	
	Compilation fix: kill MSVC warning.

2003-08-26 09:39  mortene

	* include/Inventor/elements/SoSubElement.h:
	
	Doxygen API doc.

2003-08-25 16:21  pederb

	* src/glue/gl_glx.c:
	
	Don't use glXDestroyPbuffer() directly.

2003-08-25 10:05  mortene

	* docs/coin.doxygen.in, include/Inventor/fields/SoSubField.h:
	
	Document more of the field interfaces.

2003-08-22 16:52  larsa

	* INSTALL:
	
	typo

2003-08-22 13:16  mortene

	* include/Inventor/actions/SoSubAction.h, src/actions/SoAction.cpp:
	
	Doxygen API doc fixes.

2003-08-22 11:56  pederb

	* src/glue/fontlib_wrapper.c:
	
	Fix crash-on-exit when using fonts.

2003-08-22 10:53  mortene

	* src/vrml97/Sound.cpp:
	
	Bugfix: make code safe for overflow in calculations.

2003-08-22 09:41  mortene

	* src/vrml97/Sound.cpp:
	
	Compilation fix: kill MSVC7 warning. Problem reported by Dan @
	Golden Software.

2003-08-21 10:49  pederb

	* include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoSubActionP.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSubNodeP.h, src/actions/SoAction.cpp,
	src/actions/SoAudioRenderAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/engines/SoConvertAll.cpp, src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/VectorizePSAction.cpp, src/misc/SoDB.cpp,
	src/misc/SoProto.cpp, src/misc/SoType.cpp:
	
	Plugged some one-off memory leaks.

2003-08-20 17:35  larsa

	* src/hardcopy/VectorizeActionP.h:
	
	use full path

2003-08-20 15:43  larsa

	* docs/coin.doxygen.in:
	
	obsolete sed-filter approach

2003-08-20 13:25  larsa

	* docs/coin.doxygen.in:
	
	invoke doxygen preprocessor when parsing input files

2003-08-20 13:24  larsa

	* docs/doxypp.sed:
	
	a doxygen preprocessor sed-script

2003-08-20 13:03  pederb

	* src/misc/SoInput.cpp:
	
	Fixed cleanup bug when user calls SoDB::cleanup().

2003-08-19 18:01  larsa

	* THANKS:
	
	Borland help

2003-08-19 15:55  pederb

	* src/glue/flwwin32.c:
	
	Win32 font aspect ratio fix. By thammer.

2003-08-19 13:23  pederb

	* src/shapenodes/SoImage.cpp:
	
	Remove some debug asserts.

2003-08-19 12:54  pederb

	* src/shapenodes/SoImage.cpp:
	
	Bugfix for alignment handling for new glPixelZoom code.

2003-08-19 12:21  frodo

	* src/shapenodes/SoImage.cpp:
	
	GLRender now uses glPixelZoom to resize image

2003-08-19 11:03  pederb

	* src/caches/SoNormalCache.cpp:
	
	Improved debug output.

2003-08-18 16:42  pederb

	* configure.ac:
	
	Check for direct.h

2003-08-18 16:20  pederb

	* src/tidbits.c:
	
	_getcwd() compile fix.

2003-08-18 15:59  pederb

	* src/: tidbits.c, base/time.c:
	
	Proper checks for ftime vs _ftime() and getcwd() vs _getcwd().

2003-08-18 15:53  pederb

	* configure.ac:
	
	Configure tests for getcwd(), _getcwd() and ftime().

2003-08-18 15:01  larsa

	* configure.ac, include/Inventor/C/glue/GLUWrapper.h,
	include/Inventor/C/glue/openal_wrapper.h,
	include/Inventor/C/glue/simage_wrapper.h, src/tidbits.c,
	src/glue/dl.c, src/glue/flwfreetype.c, src/glue/freetype.c,
	src/misc/SoDB.cpp, src/misc/SoInput.cpp, src/misc/SoOutput.cpp,
	src/sensors/SoSensorManager.cpp:
	
	use #ifdef, not #if, where appropriate

2003-08-18 14:20  pederb

	* src/nodes/SoExtSelection.cpp:
	
	Windows compile fix.

2003-08-16 13:51  pederb

	* src/elements/GL/SoGLLazyElement.cpp:
	
	Fixed ugly auto-caching bug.

2003-08-15 16:47  mortene

	* src/glue/gl_glx.c:
	
	Compilation fix, by Mark D Anderson.

2003-08-15 12:00  mortene

	* src/glue/gl_glx.c:
	
	Compile fixes: takes care of complaints from HP-UX cc. Thanks to
	Mark D Anderson for reporting the problems.

2003-08-13 14:09  pederb

	* src/misc/SoBase.cpp:
	
	Improve SoBase threadsafeness. Fixes a bug with
	SoBase::getNamedBases() for the thread safe version of Coin.

2003-08-13 13:51  mortene

	* include/Inventor/system/gl.h.in:
	
	Remove GLenum casts, they should not be necessary.

2003-08-13 12:44  mortene

	* include/Inventor/elements/SoGLLazyElement.h:
	
	Minor code cleanup / clarification. (Done to get around a SWIG
	bug.)

2003-08-12 18:00  mortene

	* src/glue/gl.c:
	
	Remove C++ comment from C code.

2003-08-12 17:58  mortene

	* include/Inventor/C/glue/glp.h:
	
	Fixes buglet.

2003-08-12 17:57  mortene

	* src/glue/gl.c:
	
	Remove C++ style code comments from C code. Adds a couple of
	FIXMEs.

2003-08-12 17:30  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Bugfix for case when texture is reloaded after being thrown out of
	memory.

2003-08-12 16:52  handegar

	* include/Inventor/C/glue/glp.h:
	
	Added declaration for the 'cc_glglue_context_max_dimensions'
	function.

2003-08-12 16:51  handegar

	* src/glue/gl.c:
	
	Added code for extracting max screen size (taken from the
	SoOffscreenRenderer node)

2003-08-12 16:51  handegar

	* src/nodes/SoExtSelection.cpp:
	
	The offscreen render size is now correctly detected using a
	glue/gl.c function.

2003-08-12 16:50  handegar

	* src/misc/SoOffscreenRenderer.cpp:
	
	Moved code for fetching max-resolution into glue/gl.c

2003-08-12 13:45  thammer

	* build/README:
	
	Added short description of build_coin_win32.sh

2003-08-11 16:53  mortene

	* src/fields/SoField.cpp:
	
	Rewrite code comments about a potential problem, after Tamer Fahmy
	investigated.

2003-08-11 14:33  mortene

	* include/Inventor/nodes/SoTextureCoordinateBinding.h,
	src/nodes/SoTextureCoordinateBinding.cpp:
	
	Compatibility fix: was missing a synonymous enum value, which could
	cause incompatibility with SGI/TGS Inventor written iv-files.

2003-08-11 11:25  pederb

	* src/vrml97/Appearance.cpp:
	
	Fix for quite recently introduced VRML97 material handling bug.

2003-08-11 11:15  mortene

	* THANKS, src/fields/SoField.cpp:
	
	Bugfix: field-to-field connection without a slave value
	specification. Fixed by Tamer Fahmy and Gerhard Reitmayr.

2003-08-11 10:55  mortene

	* src/glue/gl_glx.c:
	
	Workaround for what looks like an NVidia OpenGL driver bug.

2003-08-11 10:34  mortene

	* src/glue/gl_glx.c:
	
	Fixes to the GLX pbuffer support, by Tamer Fahmy.

2003-08-08 16:34  pederb

	* src/elements/GL/SoGLLazyElement.cpp:
	
	Fix function signature.

2003-08-08 15:49  larsa

	* src/extensions/README:
	
	small note to refer to if anyone wonders

2003-08-08 15:16  mortene

	* src/glue/gl_glx.c:
	
	Initial GLX pbuffers support. Contributed by Tamer Fahmy and Hannes
	Kaufmann. Various improvements made by mortene.

2003-08-08 15:13  mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:
	
	Various code cleanups.

2003-08-08 15:10  mortene

	* include/Inventor/system/gl.h.in:
	
	Adds a bunch of GLX 1.3 defines.

2003-08-08 15:08  mortene

	* configure.ac:
	
	Use a single define for whether or not run-time dynamic linking can
	be done.

2003-08-07 14:54  mortene

	* include/Inventor/system/gl.h.in:
	
	Workaround for NVidia silliness.

2003-08-06 16:50  mortene

	* src/misc/SoInput.cpp:
	
	Better error reporting when a file is not found.

2003-08-06 16:12  mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:
	
	Wrap getcwd() with a more convenient interface.

2003-08-06 10:01  mortene

	* src/glue/all-glue-c.c:
	
	Fixes for --enable-compact build. By Mark D Anderson.

2003-08-05 18:49  larsa

	* THANKS:
	
	thanks to Winnie E. Wong for SoXt efforts

2003-08-05 16:16  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Simplify Switch handling.

2003-08-05 12:58  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Another Switch bugfix.

2003-08-05 12:25  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Quick bugfix for latest bugfix.

2003-08-05 12:15  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Handle SO_SWITCH_INHERIT and SO_SWITCH_ALL. Bug reported by Hannes
	Kaufmann.

2003-08-04 09:13  mortene

	* src/glue/flwwin32.c:
	
	Removes a couple of GCC 3.2 warnings. By Lars Ivar Igesund.

2003-08-01 14:58  pederb

	* THANKS:
	
	Add Hannes Kaufmann.

2003-08-01 14:57  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Switch conversion bugfix. Bug reported by Hannes Kaufmann.

2003-07-30 16:16  pederb

	* NEWS:
	
	Update.

2003-07-30 16:13  pederb

	* src/: nodes/SoFile.cpp, vrml97/Inline.cpp:
	
	getBoundingBoxAction fix.

2003-07-29 18:13  pederb

	* THANKS:
	
	Add Todd Harrington.

2003-07-29 18:12  pederb

	* include/Inventor/elements/SoGLLazyElement.h:
	
	Fix function signature in SoGLLazyElement. Problem reported by Todd
	Harrington.

2003-07-29 17:41  larsa

	* src/: actions/Makefile.am, actions/all-actions-cpp.cpp,
	actions/all.cpp, base/Makefile.am, base/all-base-c.c,
	base/all-base-cpp.cpp, base/all-c.c, base/all-cpp.cpp,
	bundles/Makefile.am, bundles/all-bundles-cpp.cpp,
	caches/Makefile.am, caches/all-caches-cpp.cpp,
	collision/Makefile.am, collision/all-collision-cpp.cpp,
	collision/all-cpp.cpp, details/Makefile.am,
	details/all-details-cpp.cpp, draggers/Makefile.am,
	draggers/all-draggers-cpp.cpp, draggers/all.cpp,
	elements/Makefile.am, elements/all-elements-cpp.cpp,
	elements/GL/Makefile.am, elements/GL/all-glelements-cpp.cpp,
	engines/Makefile.am, engines/all-c.c, engines/all-cpp.cpp,
	engines/all-engines-c.c, engines/all-engines-cpp.cpp,
	errors/Makefile.am, errors/all-errors-c.c,
	errors/all-errors-cpp.cpp, events/Makefile.am,
	events/all-events-cpp.cpp, events/all.cpp, fields/Makefile.am,
	fields/all-fields-cpp.cpp, fields/all.cpp, glue/Makefile.am,
	glue/all-c.c, glue/all-glue-c.c, hardcopy/Makefile.am,
	hardcopy/all-hardcopy-cpp.cpp, hardcopy/all.cpp, lists/Makefile.am,
	lists/all-lists-cpp.cpp, lists/all.cpp, manips/Makefile.am,
	manips/all-manips-cpp.cpp, manips/all.cpp, misc/Makefile.am,
	misc/all-misc-c.c, misc/all-misc-cpp.cpp, nodekits/Makefile.am,
	nodekits/all-nodekits-cpp.cpp, nodekits/all.cpp, nodes/Makefile.am,
	nodes/all-nodes-cpp.cpp, nodes/all.cpp, projectors/Makefile.am,
	projectors/all-projectors-cpp.cpp, projectors/all.cpp,
	sensors/Makefile.am, sensors/all-sensors-cpp.cpp, sensors/all.cpp,
	shapenodes/Makefile.am, shapenodes/all-cpp.cpp,
	shapenodes/all-shapenodes-cpp.cpp, threads/Makefile.am,
	threads/all-c.c, threads/all-threads-c.c, upgraders/Makefile.am,
	upgraders/all-upgraders-cpp.cpp, upgraders/all.cpp,
	vrml97/Makefile.am, vrml97/all-vrml97-cpp.cpp, vrml97/all.cpp:
	
	fixes and improvements for --enable-compact

2003-07-29 17:37  larsa

	* src/vrml97/AudioClip.cpp:
	
	clean up PRIVATE/PUBLIC define mess

2003-07-29 17:34  larsa

	* src/: misc/SoAudioDevice.cpp, misc/SoGlyph.cpp,
	misc/SoOffscreenRenderer.cpp, misc/SoSceneManager.cpp,
	hardcopy/VectorizeAction.cpp:
	
	clean up PRIVATE/PUBLIC define mess

2003-07-29 14:33  larsa

	* src/collision/SoIntersectionDetectionAction.cpp:
	
	documentation page

2003-07-28 17:54  larsa

	* src/misc/SoType.cpp:
	
	documentation page update

2003-07-28 17:36  larsa

	* src/misc/SoType.cpp:
	
	documentation page

2003-07-28 12:18  pederb

	* src/: elements/SoLazyElement.cpp,
	elements/GL/SoGLColorIndexElement.cpp, vrml97/AudioClip.cpp:
	
	Added some missing methods. Spotted by Tamer Fahmy.

2003-07-24 13:45  pederb

	* src/draggers/SoSpotLightDragger.cpp:
	
	SoSpotLightDragger::angle bugfix. By Frode Øijord.

2003-07-24 10:24  pederb

	* src/glue/dl.c:
	
	Compile fix.

2003-07-23 17:07  kyrah

	* src/glue/dl.c:
	
	Contrary to Apple's docs, Mac OS 10.1 did not have dirname() in
	libc after all... -> must use our own.

2003-07-23 15:44  pederb

	* THANKS:
	
	Thanks update.

2003-07-23 15:40  pederb

	* src/fields/SoField.cpp:
	
	Fix engine write bug. Bug reported by George Alverson.

2003-07-23 13:20  kyrah

	* src/glue/: dl.c, gl_agl.c:
	
	Mac OS 10.1 build fixes.

2003-07-22 13:40  larsa

	* README.MKS:
	
	more info

2003-07-17 15:37  larsa

	* src/actions/SoSearchAction.cpp:
	
	doxygen doc update

2003-07-17 13:46  pederb

	* include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	src/hardcopy/HardCopy.cpp, src/hardcopy/PSVectorOutput.cpp,
	src/hardcopy/VectorOutput.cpp, src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/VectorizePSAction.cpp:
	
	Include path fixes.

2003-07-17 13:36  larsa

	* src/misc/SoOutput.cpp:
	
	doc on file compression

2003-07-17 13:22  kintel

	* src/misc/SoInput.cpp:
	
	doc fix

2003-07-17 13:22  larsa

	* src/misc/SoOutput.cpp:
	
	doxygen test

2003-07-17 13:15  pederb

	* src/hardcopy/HardCopy.cpp:
	
	SPAM fix.

2003-07-16 20:06  pederb

	* src/: hardcopy/HardCopy.cpp, misc/SoDB.cpp:
	
	Fix hardcopy init. Bug reported by kyrah.

2003-07-14 11:03  pederb

	* THANKS:
	
	Add Gordon Cichon.

2003-07-14 11:02  pederb

	* src/misc/SoGLImage.cpp:
	
	gcc 2.95.2 compile fix. Fix by Gordon Cichon.

2003-07-13 17:07  kyrah

	* README.MAC:
	
	Added information about the HardCopy include path problem.

2003-07-11 14:10  larsa

	* src/base/SbString.cpp:
	
	doxygen update

2003-07-11 14:04  larsa

	* src/misc/SoType.cpp:
	
	minor optimization/clarification

2003-07-10 14:18  pederb

	* src/glue/flwfreetype.c:
	
	Require at least version 2.1 of the fretype 2 library.

2003-07-10 11:50  larsa

	* docs/announcement-2_1_0.txt:
	
	fix url (for future propagation)

2003-07-10 11:31  pederb

	* src/misc/SoGL.cpp:
	
	Workaround for NURBS rendering bug reported by Nigel Murry.

2003-07-09 18:23  larsa

	* docs/announcement-2_1_0.txt:
	
	typo

2003-07-09 17:54  larsa

	* NEWS, configure.ac:
	
	set version 2.1.1a

